/* A Bison parser, made from ../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y
   by GNU bison 1.35.  */

#define YYBISON 1  /* Identify Bison output.  */

# define	INT	257
# define	FLOAT	258
# define	NAME	259
# define	STRUCT	260
# define	CLASS	261
# define	UNION	262
# define	ENUM	263
# define	SIZEOF	264
# define	UNSIGNED	265
# define	COLONCOLON	266
# define	TEMPLATE	267
# define	ERROR	268
# define	NEW	269
# define	DELETE	270
# define	OPERATOR	271
# define	STATIC_CAST	272
# define	REINTERPRET_CAST	273
# define	DYNAMIC_CAST	274
# define	SIGNED_KEYWORD	275
# define	LONG	276
# define	SHORT	277
# define	INT_KEYWORD	278
# define	CONST_KEYWORD	279
# define	VOLATILE_KEYWORD	280
# define	DOUBLE_KEYWORD	281
# define	BOOL	282
# define	ELLIPSIS	283
# define	RESTRICT	284
# define	VOID	285
# define	FLOAT_KEYWORD	286
# define	CHAR	287
# define	WCHAR_T	288
# define	ASSIGN_MODIFY	289
# define	TRUEKEYWORD	290
# define	FALSEKEYWORD	291
# define	DEMANGLER_SPECIAL	292
# define	CONSTRUCTION_VTABLE	293
# define	CONSTRUCTION_IN	294
# define	GLOBAL	295
# define	OROR	296
# define	ANDAND	297
# define	EQUAL	298
# define	NOTEQUAL	299
# define	LEQ	300
# define	GEQ	301
# define	LSH	302
# define	RSH	303
# define	UNARY	304
# define	INCREMENT	305
# define	DECREMENT	306
# define	ARROW	307

#line 33 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"


#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

#include "safe-ctype.h"
#include "libiberty.h"
#include "demangle.h"

/* Bison does not make it easy to create a parser without global
   state, unfortunately.  Here are all the global variables used
   in this parser.  */

/* LEXPTR is the current pointer into our lex buffer.  PREV_LEXPTR
   is the start of the last token lexed, only used for diagnostics.
   ERROR_LEXPTR is the first place an error occurred.  GLOBAL_ERRMSG
   is the first error message encountered.  */

static const char *lexptr, *prev_lexptr, *error_lexptr, *global_errmsg;

/* The components built by the parser are allocated ahead of time,
   and cached in this structure.  */

struct demangle_info {
  int used;
  struct demangle_component comps[1];
};

static struct demangle_info *demangle_info;
#define d_grab() (&demangle_info->comps[demangle_info->used++])

/* The parse tree created by the parser is stored here after a successful
   parse.  */

static struct demangle_component *global_result;

/* Prototypes for helper functions used when constructing the parse
   tree.  */

static struct demangle_component *d_qualify (struct demangle_component *, int,
					     int);

static struct demangle_component *d_int_type (int);

static struct demangle_component *d_unary (const char *,
					   struct demangle_component *);
static struct demangle_component *d_binary (const char *,
					    struct demangle_component *,
					    struct demangle_component *);

/* Flags passed to d_qualify.  */

#define QUAL_CONST 1
#define QUAL_RESTRICT 2
#define QUAL_VOLATILE 4

/* Flags passed to d_int_type.  */

#define INT_CHAR	(1 << 0)
#define INT_SHORT	(1 << 1)
#define INT_LONG	(1 << 2)
#define INT_LLONG	(1 << 3)

#define INT_SIGNED	(1 << 4)
#define INT_UNSIGNED	(1 << 5)

/* Remap normal yacc parser interface names (yyparse, yylex, yyerror, etc),
   as well as gratuitiously global symbol names, so we can have multiple
   yacc generated parsers in gdb.  Note that these are only the variables
   produced by yacc.  If other parser generators (bison, byacc, etc) produce
   additional global names that conflict at link time, then those parser
   generators need to be fixed instead of adding those names to this list. */

#define	yymaxdepth cpname_maxdepth
#define	yyparse	cpname_parse
#define	yylex	cpname_lex
#define	yyerror	cpname_error
#define	yylval	cpname_lval
#define	yychar	cpname_char
#define	yydebug	cpname_debug
#define	yypact	cpname_pact	
#define	yyr1	cpname_r1			
#define	yyr2	cpname_r2			
#define	yydef	cpname_def		
#define	yychk	cpname_chk		
#define	yypgo	cpname_pgo		
#define	yyact	cpname_act		
#define	yyexca	cpname_exca
#define yyerrflag cpname_errflag
#define yynerrs	cpname_nerrs
#define	yyps	cpname_ps
#define	yypv	cpname_pv
#define	yys	cpname_s
#define	yy_yys	cpname_yys
#define	yystate	cpname_state
#define	yytmp	cpname_tmp
#define	yyv	cpname_v
#define	yy_yyv	cpname_yyv
#define	yyval	cpname_val
#define	yylloc	cpname_lloc
#define yyreds	cpname_reds		/* With YYDEBUG defined */
#define yytoks	cpname_toks		/* With YYDEBUG defined */
#define yyname	cpname_name		/* With YYDEBUG defined */
#define yyrule	cpname_rule		/* With YYDEBUG defined */
#define yylhs	cpname_yylhs
#define yylen	cpname_yylen
#define yydefred cpname_yydefred
#define yydgoto	cpname_yydgoto
#define yysindex cpname_yysindex
#define yyrindex cpname_yyrindex
#define yygindex cpname_yygindex
#define yytable	 cpname_yytable
#define yycheck	 cpname_yycheck

int yyparse (void);
static int yylex (void);
static void yyerror (char *);

/* Enable yydebug for the stand-alone parser.  */
#ifdef TEST_CPNAMES
# define YYDEBUG	1
#endif

/* Helper functions.  These wrap the demangler tree interface, handle
   allocation from our global store, and return the allocated component.  */

static struct demangle_component *
fill_comp (enum demangle_component_type d_type, struct demangle_component *lhs,
	   struct demangle_component *rhs)
{
  struct demangle_component *ret = d_grab ();
  cplus_demangle_fill_component (ret, d_type, lhs, rhs);
  return ret;
}

static struct demangle_component *
make_empty (enum demangle_component_type d_type)
{
  struct demangle_component *ret = d_grab ();
  ret->type = d_type;
  return ret;
}

static struct demangle_component *
make_operator (const char *name, int args)
{
  struct demangle_component *ret = d_grab ();
  cplus_demangle_fill_operator (ret, name, args);
  return ret;
}

static struct demangle_component *
make_dtor (enum gnu_v3_dtor_kinds kind, struct demangle_component *name)
{
  struct demangle_component *ret = d_grab ();
  cplus_demangle_fill_dtor (ret, kind, name);
  return ret;
}

static struct demangle_component *
make_builtin_type (const char *name)
{
  struct demangle_component *ret = d_grab ();
  cplus_demangle_fill_builtin_type (ret, name);
  return ret;
}

static struct demangle_component *
make_name (const char *name, int len)
{
  struct demangle_component *ret = d_grab ();
  cplus_demangle_fill_name (ret, name, len);
  return ret;
}

#define d_left(dc) (dc)->u.s_binary.left
#define d_right(dc) (dc)->u.s_binary.right


#line 215 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
#ifndef YYSTYPE
typedef union
  {
    struct demangle_component *comp;
    struct nested {
      struct demangle_component *comp;
      struct demangle_component **last;
    } nested;
    struct {
      struct demangle_component *comp, *last;
    } nested1;
    struct {
      struct demangle_component *comp, **last;
      struct nested fn;
      struct demangle_component *start;
      int fold_flag;
    } abstract;
    int lval;
    struct {
      int val;
      struct demangle_component *type;
    } typed_val_int;
    const char *opname;
  } yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
#line 292 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"

enum {
  GLOBAL_CONSTRUCTORS = DEMANGLE_COMPONENT_LITERAL + 20,
  GLOBAL_DESTRUCTORS = DEMANGLE_COMPONENT_LITERAL + 21
};
#ifndef YYDEBUG
# define YYDEBUG 0
#endif



#define	YYFINAL		330
#define	YYFLAG		-32768
#define	YYNTBASE	76

/* YYTRANSLATE(YYLEX) -- Bison token number corresponding to YYLEX. */
#define YYTRANSLATE(x) ((unsigned)(x) <= 307 ? yytranslate[x] : 115)

/* YYTRANSLATE[YYLEX] -- Bison token number corresponding to YYLEX. */
static const char yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    73,     2,     2,     2,    64,    50,     2,
      74,    42,    62,    60,    43,    61,    69,    63,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,    75,     2,
      53,    44,    54,    45,    59,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,    70,     2,    71,    49,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,    48,     2,    72,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     3,     4,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    46,    47,    51,    52,
      55,    56,    57,    58,    65,    66,    67,    68
};

#if YYDEBUG
static const short yyprhs[] =
{
       0,     0,     2,     4,     6,     8,     9,    12,    15,    19,
      23,    26,    29,    32,    37,    39,    42,    45,    50,    55,
      58,    61,    64,    67,    70,    73,    76,    79,    82,    85,
      88,    91,    94,    97,   100,   103,   106,   109,   112,   115,
     118,   121,   124,   127,   130,   134,   137,   141,   145,   148,
     151,   153,   157,   160,   162,   167,   170,   172,   175,   178,
     180,   183,   185,   187,   189,   191,   194,   197,   199,   202,
     206,   209,   213,   218,   220,   224,   226,   229,   232,   237,
     239,   241,   244,   248,   253,   257,   262,   267,   271,   272,
     274,   276,   278,   280,   282,   285,   287,   289,   291,   293,
     295,   297,   299,   302,   304,   306,   308,   311,   313,   315,
     317,   320,   322,   326,   331,   334,   338,   341,   343,   347,
     350,   353,   355,   359,   362,   366,   369,   374,   378,   380,
     383,   385,   389,   392,   395,   397,   399,   402,   404,   409,
     412,   414,   417,   420,   422,   426,   429,   432,   434,   437,
     439,   441,   446,   451,   456,   459,   462,   465,   468,   472,
     474,   478,   481,   484,   487,   490,   495,   503,   511,   519,
     524,   528,   532,   536,   540,   544,   548,   552,   556,   560,
     564,   568,   572,   576,   580,   584,   588,   592,   596,   600,
     606,   608,   610,   615,   617
};
static const short yyrhs[] =
{
      77,     0,   108,     0,    80,     0,    79,     0,     0,    12,
      77,     0,   104,   111,     0,   104,    95,    78,     0,    88,
      95,    78,     0,    83,    78,     0,    83,   107,     0,    38,
      77,     0,    39,    77,    40,    77,     0,    41,     0,    17,
      15,     0,    17,    16,     0,    17,    15,    70,    71,     0,
      17,    16,    70,    71,     0,    17,    60,     0,    17,    61,
       0,    17,    62,     0,    17,    63,     0,    17,    64,     0,
      17,    49,     0,    17,    50,     0,    17,    48,     0,    17,
      72,     0,    17,    73,     0,    17,    44,     0,    17,    53,
       0,    17,    54,     0,    17,    35,     0,    17,    57,     0,
      17,    58,     0,    17,    51,     0,    17,    52,     0,    17,
      55,     0,    17,    56,     0,    17,    47,     0,    17,    46,
       0,    17,    66,     0,    17,    67,     0,    17,    43,     0,
      17,    68,    62,     0,    17,    68,     0,    17,    74,    42,
       0,    17,    70,    71,     0,    17,   104,     0,    90,    82,
       0,    82,     0,    12,    90,    82,     0,    12,    82,     0,
      81,     0,    81,    53,    92,    54,     0,    72,     5,     0,
      86,     0,    12,    86,     0,    90,     5,     0,     5,     0,
      90,    91,     0,    91,     0,    85,     0,    88,     0,    89,
       0,    12,    89,     0,    90,    84,     0,    84,     0,     5,
      12,     0,    90,     5,    12,     0,    91,    12,     0,    90,
      91,    12,     0,     5,    53,    92,    54,     0,    93,     0,
      92,    43,    93,     0,   104,     0,   104,   105,     0,    50,
      77,     0,    50,    74,    77,    42,     0,   113,     0,   104,
       0,   104,   105,     0,    94,    43,   104,     0,    94,    43,
     104,   105,     0,    94,    43,    29,     0,    74,    94,    42,
      96,     0,    74,    31,    42,    96,     0,    74,    42,    96,
       0,     0,    98,     0,    30,     0,    26,     0,    25,     0,
      97,     0,    97,    98,     0,    24,     0,    21,     0,    11,
       0,    33,     0,    22,     0,    23,     0,    99,     0,   100,
      99,     0,   100,     0,    32,     0,    27,     0,    22,    27,
       0,    28,     0,    34,     0,    31,     0,    62,    96,     0,
      50,     0,    90,    62,    96,     0,    12,    90,    62,    96,
       0,    70,    71,     0,    70,     3,    71,     0,   101,    98,
       0,   101,     0,    98,   101,    98,     0,    98,   101,     0,
      86,    98,     0,    86,     0,    98,    86,    98,     0,    98,
      86,     0,    12,    86,    98,     0,    12,    86,     0,    98,
      12,    86,    98,     0,    98,    12,    86,     0,   102,     0,
     102,   105,     0,   106,     0,    74,   105,    42,     0,   106,
      95,     0,   106,   103,     0,   103,     0,   102,     0,   102,
     107,     0,   106,     0,   106,    95,    12,    77,     0,    95,
      78,     0,   104,     0,   104,   105,     0,   102,   109,     0,
     110,     0,    74,   109,    42,     0,   110,    95,     0,   110,
     103,     0,    87,     0,   102,   111,     0,    87,     0,   112,
       0,    87,    95,    12,    77,     0,   112,    95,    12,    77,
       0,    74,   102,   109,    42,     0,   112,    95,     0,   112,
     103,     0,    87,    95,     0,    87,   103,     0,    74,   114,
      42,     0,   113,     0,   113,    54,   113,     0,    50,    77,
       0,    61,   113,     0,    73,   113,     0,    72,   113,     0,
      74,   108,    42,   113,     0,    18,    53,   108,    54,    74,
     114,    42,     0,    20,    53,   108,    54,    74,   114,    42,
       0,    19,    53,   108,    54,    74,   114,    42,     0,   104,
      74,   114,    42,     0,   113,    62,   113,     0,   113,    63,
     113,     0,   113,    64,   113,     0,   113,    60,   113,     0,
     113,    61,   113,     0,   113,    57,   113,     0,   113,    58,
     113,     0,   113,    51,   113,     0,   113,    52,   113,     0,
     113,    55,   113,     0,   113,    56,   113,     0,   113,    53,
     113,     0,   113,    50,   113,     0,   113,    49,   113,     0,
     113,    48,   113,     0,   113,    47,   113,     0,   113,    46,
     113,     0,   113,    68,     5,     0,   113,    69,     5,     0,
     113,    45,   113,    75,   113,     0,     3,     0,     4,     0,
      10,    74,   108,    42,     0,    36,     0,    37,     0
};

#endif

#if YYDEBUG
/* YYRLINE[YYN] -- source line where rule number YYN was defined. */
static const short yyrline[] =
{
       0,   342,   346,   348,   350,   354,   356,   363,   372,   375,
     379,   382,   401,   405,   407,   413,   415,   417,   419,   421,
     423,   425,   427,   429,   431,   433,   435,   437,   439,   441,
     443,   445,   447,   449,   451,   453,   455,   457,   459,   461,
     463,   465,   467,   469,   471,   473,   475,   477,   485,   490,
     495,   499,   504,   512,   513,   515,   527,   528,   534,   536,
     537,   539,   542,   543,   546,   547,   551,   553,   556,   562,
     569,   575,   586,   590,   593,   604,   605,   609,   611,   613,
     616,   620,   625,   630,   636,   646,   650,   654,   661,   663,
     666,   668,   670,   674,   675,   682,   684,   686,   688,   690,
     692,   696,   697,   701,   703,   705,   707,   709,   711,   713,
     717,   723,   727,   735,   745,   749,   765,   767,   768,   770,
     773,   775,   776,   778,   781,   783,   785,   787,   792,   795,
     800,   807,   811,   822,   828,   846,   849,   857,   859,   870,
     877,   878,   884,   888,   892,   894,   899,   904,   917,   921,
     926,   934,   939,   948,   952,   957,   962,   966,   972,   978,
     981,   988,   993,   997,  1001,  1008,  1024,  1031,  1038,  1051,
    1062,  1066,  1070,  1074,  1078,  1082,  1086,  1090,  1094,  1098,
    1102,  1106,  1110,  1114,  1118,  1122,  1126,  1131,  1135,  1139,
    1146,  1150,  1153,  1158,  1167
};
#endif


#if (YYDEBUG) || defined YYERROR_VERBOSE

/* YYTNAME[TOKEN_NUM] -- String name of the token TOKEN_NUM. */
static const char *const yytname[] =
{
  "$", "error", "$undefined.", "INT", "FLOAT", "NAME", "STRUCT", "CLASS", 
  "UNION", "ENUM", "SIZEOF", "UNSIGNED", "COLONCOLON", "TEMPLATE", 
  "ERROR", "NEW", "DELETE", "OPERATOR", "STATIC_CAST", "REINTERPRET_CAST", 
  "DYNAMIC_CAST", "SIGNED_KEYWORD", "LONG", "SHORT", "INT_KEYWORD", 
  "CONST_KEYWORD", "VOLATILE_KEYWORD", "DOUBLE_KEYWORD", "BOOL", 
  "ELLIPSIS", "RESTRICT", "VOID", "FLOAT_KEYWORD", "CHAR", "WCHAR_T", 
  "ASSIGN_MODIFY", "TRUEKEYWORD", "FALSEKEYWORD", "DEMANGLER_SPECIAL", 
  "CONSTRUCTION_VTABLE", "CONSTRUCTION_IN", "GLOBAL", "')'", "','", "'='", 
  "'?'", "OROR", "ANDAND", "'|'", "'^'", "'&'", "EQUAL", "NOTEQUAL", 
  "'<'", "'>'", "LEQ", "GEQ", "LSH", "RSH", "'@'", "'+'", "'-'", "'*'", 
  "'/'", "'%'", "UNARY", "INCREMENT", "DECREMENT", "ARROW", "'.'", "'['", 
  "']'", "'~'", "'!'", "'('", "':'", "result", "start", "start_opt", 
  "function", "demangler_special", "operator", "conversion_op", 
  "conversion_op_name", "unqualified_name", "colon_name", "name", 
  "colon_ext_name", "colon_ext_only", "ext_only_name", "nested_name", 
  "template", "template_params", "template_arg", "function_args", 
  "function_arglist", "qualifiers_opt", "qualifier", "qualifiers", 
  "int_part", "int_seq", "builtin_type", "ptr_operator", 
  "array_indicator", "typespec_2", "abstract_declarator", 
  "direct_abstract_declarator", "abstract_declarator_fn", "type", 
  "declarator", "direct_declarator", "declarator_1", 
  "direct_declarator_1", "exp", "exp1", 0
};
#endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives. */
static const short yyr1[] =
{
       0,    76,    77,    77,    77,    78,    78,    79,    79,    79,
      79,    79,    80,    80,    80,    81,    81,    81,    81,    81,
      81,    81,    81,    81,    81,    81,    81,    81,    81,    81,
      81,    81,    81,    81,    81,    81,    81,    81,    81,    81,
      81,    81,    81,    81,    81,    81,    81,    81,    82,    83,
      83,    83,    83,    84,    84,    84,    85,    85,    86,    86,
      86,    86,    87,    87,    88,    88,    89,    89,    90,    90,
      90,    90,    91,    92,    92,    93,    93,    93,    93,    93,
      94,    94,    94,    94,    94,    95,    95,    95,    96,    96,
      97,    97,    97,    98,    98,    99,    99,    99,    99,    99,
      99,   100,   100,   101,   101,   101,   101,   101,   101,   101,
     102,   102,   102,   102,   103,   103,   104,   104,   104,   104,
     104,   104,   104,   104,   104,   104,   104,   104,   105,   105,
     105,   106,   106,   106,   106,   107,   107,   107,   107,   107,
     108,   108,   109,   109,   110,   110,   110,   110,   111,   111,
     111,   111,   111,   112,   112,   112,   112,   112,   113,   114,
     114,   114,   113,   113,   113,   113,   113,   113,   113,   113,
     113,   113,   113,   113,   113,   113,   113,   113,   113,   113,
     113,   113,   113,   113,   113,   113,   113,   113,   113,   113,
     113,   113,   113,   113,   113
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN. */
static const short yyr2[] =
{
       0,     1,     1,     1,     1,     0,     2,     2,     3,     3,
       2,     2,     2,     4,     1,     2,     2,     4,     4,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     3,     2,     3,     3,     2,     2,
       1,     3,     2,     1,     4,     2,     1,     2,     2,     1,
       2,     1,     1,     1,     1,     2,     2,     1,     2,     3,
       2,     3,     4,     1,     3,     1,     2,     2,     4,     1,
       1,     2,     3,     4,     3,     4,     4,     3,     0,     1,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     1,
       1,     1,     2,     1,     1,     1,     2,     1,     1,     1,
       2,     1,     3,     4,     2,     3,     2,     1,     3,     2,
       2,     1,     3,     2,     3,     2,     4,     3,     1,     2,
       1,     3,     2,     2,     1,     1,     2,     1,     4,     2,
       1,     2,     2,     1,     3,     2,     2,     1,     2,     1,
       1,     4,     4,     4,     2,     2,     2,     2,     3,     1,
       3,     2,     2,     2,     2,     4,     7,     7,     7,     4,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     5,
       1,     1,     4,     1,     1
};

/* YYDEFACT[S] -- default rule to reduce with in state S when YYTABLE
   doesn't specify something else to do.  Zero means the default is an
   error. */
static const short yydefact[] =
{
       0,    59,    97,     0,     0,    96,    99,   100,    95,    92,
      91,   105,   107,    90,   109,   104,    98,   108,     0,     0,
      14,     0,     1,     4,     3,    53,    50,     5,    67,   121,
       0,    64,     0,    61,    93,     0,   101,   103,   117,   140,
       2,    68,     0,    52,   125,    65,     0,     0,    15,    16,
      32,    43,    29,    40,    39,    26,    24,    25,    35,    36,
      30,    31,    37,    38,    33,    34,    19,    20,    21,    22,
      23,    41,    42,    45,     0,    27,    28,     0,     0,    48,
     106,    12,     0,    55,     0,     0,     0,   111,    88,     0,
       0,    10,     0,     0,     5,   135,   134,   137,    11,   120,
       0,     5,    58,    49,    66,    60,    70,    94,     0,   123,
     119,    99,   102,   116,     0,     0,     0,    62,    56,   149,
      63,     0,     5,   128,   141,   130,     7,   150,   190,   191,
       0,     0,     0,     0,   193,   194,     0,     0,     0,     0,
       0,     0,    73,    75,    79,   124,    51,     0,     0,    44,
      47,    46,     0,     0,     6,     0,   110,    89,     0,   114,
       0,   109,    88,     0,     0,     0,   128,    80,     0,     0,
      88,     0,     0,   139,     0,   136,   132,   133,     9,    69,
      71,   127,   122,   118,    57,     0,   128,   156,   157,     8,
       0,   129,   148,   132,   154,   155,     0,     0,     0,     0,
       0,    77,     0,   162,   164,   163,     0,   140,     0,   159,
       0,     0,    72,     0,    76,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    17,    18,    13,    54,    88,
     115,     0,    88,    87,    88,     0,    81,   131,   112,     0,
       0,   126,     0,   147,   128,     0,   143,     0,     0,   140,
       0,     0,     0,     0,     0,     0,   161,     0,     0,   158,
      74,   111,     0,     0,     0,   186,   185,   184,   183,   182,
     177,   178,   181,   179,   180,   175,   176,   173,   174,   170,
     171,   172,   187,   188,   113,    86,    85,    84,    82,   138,
       0,   142,   153,   145,   146,   151,   152,   192,     0,     0,
       0,    78,   165,   160,   169,     0,    83,   144,     0,     0,
       0,   189,     0,     0,     0,   166,   168,   167,     0,     0,
       0
};

static const short yydefgoto[] =
{
     328,   154,    91,    23,    24,    25,    26,    27,    28,   117,
      29,   253,    30,    31,    78,    33,   141,   142,   165,    94,
     156,    34,    35,    36,    37,    38,   166,    96,   202,   168,
     125,    98,    40,   255,   256,   126,   127,   209,   210
};

static const short yypact[] =
{
     820,    28,-32768,     8,   671,-32768,     2,-32768,-32768,-32768,
  -32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,   820,   820,
  -32768,    27,-32768,-32768,-32768,   -18,-32768,   400,-32768,    22,
     -21,-32768,    16,    56,    22,   790,-32768,   347,    22,   276,
  -32768,-32768,   499,-32768,    22,-32768,    16,    71,    30,    31,
  -32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
  -32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
  -32768,-32768,-32768,    51,    44,-32768,-32768,    75,    88,-32768,
  -32768,-32768,    79,-32768,   499,    28,   820,-32768,    22,     6,
     766,-32768,    45,    56,   112,   410,-32768,    13,-32768,-32768,
     936,   112,    29,-32768,-32768,   115,-32768,-32768,    71,    22,
      22,-32768,-32768,-32768,    32,   872,   766,-32768,-32768,    13,
  -32768,    40,   112,   277,-32768,    13,-32768,    13,-32768,-32768,
      61,    80,    95,    96,-32768,-32768,   735,   617,   617,   617,
     558,    11,-32768,   411,  1014,-32768,-32768,    83,    85,-32768,
  -32768,-32768,   820,    12,-32768,   117,-32768,-32768,    90,-32768,
      71,   108,    22,   543,    46,    87,   543,   543,   109,    29,
      22,   115,   820,-32768,   154,-32768,   150,-32768,-32768,-32768,
  -32768,    22,-32768,-32768,-32768,   268,   303,   152,-32768,-32768,
     543,-32768,-32768,-32768,   156,-32768,  1024,  1024,  1024,  1024,
     820,-32768,    97,    76,    76,    76,   820,   411,   128,   611,
     133,   499,-32768,   421,-32768,   617,   617,   617,   617,   617,
     617,   617,   617,   617,   617,   617,   617,   617,   617,   617,
     617,   617,   617,   172,   176,-32768,-32768,-32768,-32768,    22,
  -32768,    58,    22,-32768,    22,   994,-32768,-32768,-32768,    59,
     820,-32768,   303,-32768,   303,   142,    13,   820,   820,   543,
     143,   134,   141,   145,   160,   558,-32768,   617,   617,-32768,
  -32768,   845,   421,   161,   934,  1037,  1059,  1080,  1100,   842,
     326,   326,   340,   340,   340,   477,   477,   129,   129,    76,
      76,    76,-32768,-32768,-32768,-32768,-32768,-32768,   543,-32768,
     162,-32768,-32768,-32768,-32768,-32768,-32768,-32768,   113,   136,
     170,-32768,    76,  1014,-32768,   617,-32768,-32768,   558,   558,
     558,  1014,   166,   194,   203,-32768,-32768,-32768,   246,   249,
  -32768
};

static const short yypgoto[] =
{
  -32768,     5,   -63,-32768,-32768,-32768,    -2,-32768,   -30,-32768,
      23,   -25,    57,     4,     0,   169,   167,    54,-32768,   -22,
    -150,-32768,   257,   219,-32768,   231,   -17,   -91,    42,   137,
     -16,   175,  -125,  -185,-32768,   144,-32768,     1,  -209
};


#define	YYLAST		1169


static const short yytable[] =
{
      32,    43,   104,    46,   273,    22,   177,    45,   101,   158,
      95,    97,   243,     1,   119,   208,   104,   122,    32,    32,
     248,   102,   123,    81,    82,     4,    44,    92,   188,    80,
     103,   173,    83,     4,   177,    84,   195,     1,   178,   121,
      41,   179,    39,   144,   146,   102,    79,     9,    10,   115,
     169,   102,    13,   100,   211,   211,   273,   115,   109,   189,
      39,    39,   118,   102,   169,   212,   238,   300,   106,   301,
      44,   260,   261,   262,   263,   176,     1,   159,    95,    97,
      21,    42,    42,    89,   143,   144,   155,   100,    21,   294,
     164,   104,   295,   102,   296,    92,   120,   187,   119,   186,
     147,   148,   170,   193,    21,   194,   123,   170,   170,   322,
     323,   324,    21,   149,   185,   150,   164,   151,    45,   152,
     239,   239,   102,   121,   172,   104,   143,   180,    39,   244,
     245,   181,   167,   197,     4,   196,    32,   184,   203,   204,
     205,   201,   167,    92,   233,   234,   118,   208,   198,   199,
     242,   247,    32,   103,   235,   104,   236,   237,   167,    85,
     241,   240,   250,    92,   257,   304,    92,    92,   258,   254,
     267,   265,    32,   186,   249,   269,   124,   292,    39,   239,
     120,   293,   207,    44,   302,   307,   121,   318,   308,    21,
      92,   230,   231,   232,    39,   309,    93,   233,   234,   310,
      32,   105,   311,   314,   317,   264,    32,    92,   325,   118,
     319,   266,   144,   164,    39,   105,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   303,   254,   326,   254,   259,   259,
     259,   259,    39,   120,   320,   327,   329,   105,    39,   330,
      32,   153,   121,   143,   121,   299,   112,    32,    32,    92,
     191,   171,   305,   306,    93,   270,   110,   192,   312,   313,
     175,    32,   164,   102,     0,   118,   266,   118,     0,     0,
     214,     1,     1,     0,     0,   115,    99,   298,   114,   114,
     105,   107,    39,   115,   115,   113,     0,     0,    92,    39,
      39,   145,     0,   191,   246,     0,     0,     0,     1,   120,
       0,   120,    93,    39,   207,   114,   321,     0,     0,     0,
     115,     0,     0,   191,   105,     0,    87,    87,     0,     0,
     239,     0,    93,   105,     0,    93,    93,     0,    88,    88,
      21,     0,     0,    93,   124,   157,    89,    89,    21,    21,
     116,   190,     0,    87,   105,     0,     0,     0,     2,    93,
       0,     0,     0,     0,     0,    88,   182,   183,     5,   111,
       7,     8,     0,    89,     0,    21,    93,   252,     0,   223,
      16,   224,   225,   226,   227,     0,   228,   229,   230,   231,
     232,   191,     0,     0,   233,   234,   124,   226,   227,     0,
     228,   229,   230,   231,   232,    85,     0,     0,   233,   234,
     105,     0,    86,     0,     0,    85,    85,     0,   171,   157,
       0,     0,   174,   174,   128,   129,     1,   157,    93,     0,
       0,   130,     2,   160,     0,   316,     0,     0,   251,   131,
     132,   133,     5,     6,     7,     8,     9,    10,    11,    12,
      87,    13,    14,    15,    16,    17,     0,   134,   135,     0,
      87,    87,    88,     0,     0,     0,     0,    93,     0,     0,
      89,   271,    88,    88,    90,     0,     0,     0,     0,     0,
      89,    89,   137,    88,    90,   213,     0,     0,     0,     0,
       0,    89,     0,   138,   139,   272,   157,     0,     0,   157,
       0,   157,   128,   129,     1,     0,     0,     0,     0,   130,
       2,    47,     0,     0,     0,     0,     0,   131,   132,   133,
       5,     6,     7,     8,     9,    10,    11,    12,     0,    13,
      14,    15,    16,    17,     0,   134,   135,   228,   229,   230,
     231,   232,     0,     0,     0,   233,   234,     0,    85,   136,
       0,     0,     0,     0,     0,   174,     0,     0,     0,     0,
     137,   128,   129,     1,     0,     0,     0,     0,   130,     2,
      47,   138,   139,   140,     0,     0,   131,   132,   133,     5,
       6,     7,     8,     9,    10,    11,    12,     0,    13,    14,
      15,    16,    17,    87,   134,   135,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    88,     0,     0,   206,     0,
       0,     0,     0,    89,     0,     0,     0,   163,     0,   137,
     128,   129,     1,     0,     0,     0,     0,   130,     2,    47,
     138,   139,   140,     0,     0,   131,   132,   133,     5,     6,
       7,     8,     9,    10,    11,    12,     0,    13,    14,    15,
      16,    17,     0,   134,   135,     0,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   268,   224,   225,   226,   227,
       0,   228,   229,   230,   231,   232,     1,     0,   137,   233,
     234,     0,     2,    47,     0,     0,    48,    49,     0,   138,
     139,   140,     5,     6,     7,     8,     9,    10,    11,    12,
       0,    13,    14,    15,    16,    17,    50,     0,     0,     0,
       0,     0,     0,     0,    51,    52,     0,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
       0,    66,    67,    68,    69,    70,     0,    71,    72,    73,
       1,    74,     0,    75,    76,    77,     2,     3,     0,     0,
       0,     0,     4,     0,     0,     0,     5,     6,     7,     8,
       9,    10,    11,    12,     0,    13,    14,    15,    16,    17,
       0,     1,     0,    18,    19,     0,    20,     2,   160,     0,
       0,     0,     0,     0,     0,     0,     0,     5,     6,     7,
       8,     9,    10,    11,    12,     1,    13,   161,    15,    16,
      17,     2,   108,     0,     0,     0,     0,    21,   162,   200,
       0,     5,     6,     7,     8,     0,    87,    11,    12,     0,
       0,    14,    15,    16,    17,     1,     0,     0,    88,     0,
       0,     2,     3,     0,     0,     0,    89,     4,     0,     0,
     163,     5,     6,     7,     8,     9,    10,    11,    12,     0,
      13,    14,    15,    16,    17,     0,     2,     3,    18,    19,
       0,    20,     4,     0,     0,     0,     5,     6,     7,     8,
       9,    10,    11,    12,     0,    13,    14,    15,    16,    17,
       0,     0,     0,    18,    19,     0,    20,    48,    49,     0,
       0,     0,    21,   221,   222,   223,     0,   224,   225,   226,
     227,     0,   228,   229,   230,   231,   232,    50,     0,     0,
     233,   234,     0,     0,     0,    51,    52,    21,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,     0,    66,    67,    68,    69,    70,     0,    71,    72,
      73,     1,    74,     0,    75,    76,    77,     2,    47,     0,
       0,     0,     0,     0,     0,     0,     0,     5,     6,     7,
       8,     9,    10,    11,    12,     0,    13,   161,    15,    16,
      17,     0,     0,     0,     0,     0,     0,     0,   162,   215,
     216,   217,   218,   219,   220,   221,   222,   223,     0,   224,
     225,   226,   227,     0,   228,   229,   230,   231,   232,     1,
       0,     0,   233,   234,     0,     2,    47,     0,     0,   315,
       0,     0,     0,     0,     0,     5,     6,     7,     8,     9,
      10,    11,    12,   297,    13,    14,    15,    16,    17,     1,
       0,     0,     0,     0,     0,     2,    47,     0,     0,     0,
       0,     0,     0,     0,     0,     5,     6,     7,     8,     9,
      10,    11,    12,     0,    13,    14,    15,    16,    17,   215,
     216,   217,   218,   219,   220,   221,   222,   223,     0,   224,
     225,   226,   227,     0,   228,   229,   230,   231,   232,     0,
       0,     0,   233,   234,   217,   218,   219,   220,   221,   222,
     223,     0,   224,   225,   226,   227,     0,   228,   229,   230,
     231,   232,     0,     0,     0,   233,   234,   218,   219,   220,
     221,   222,   223,     0,   224,   225,   226,   227,     0,   228,
     229,   230,   231,   232,     0,     0,     0,   233,   234,   219,
     220,   221,   222,   223,     0,   224,   225,   226,   227,     0,
     228,   229,   230,   231,   232,     0,     0,     0,   233,   234,
     220,   221,   222,   223,     0,   224,   225,   226,   227,     0,
     228,   229,   230,   231,   232,     0,     0,     0,   233,   234
};

static const short yycheck[] =
{
       0,     3,    32,     3,   213,     0,    97,     3,    30,     3,
      27,    27,   162,     5,    39,   140,    46,    39,    18,    19,
     170,     5,    39,    18,    19,    17,     3,    27,   119,    27,
      32,    94,     5,    17,   125,    53,   127,     5,   101,    39,
      12,    12,     0,    42,    46,     5,     4,    25,    26,    17,
       5,     5,    30,    74,    43,    43,   265,    17,    35,   122,
      18,    19,    39,     5,     5,    54,    54,   252,    12,   254,
      47,   196,   197,   198,   199,    97,     5,    71,    95,    95,
      72,    53,    53,    70,    42,    84,    86,    74,    72,   239,
      90,   121,   242,     5,   244,    95,    39,   119,   123,   116,
      70,    70,    62,   125,    72,   127,   123,    62,    62,   318,
     319,   320,    72,    62,   114,    71,   116,    42,   114,    40,
      62,    62,     5,   123,    12,   155,    84,    12,    86,    42,
      43,   108,    90,    53,    17,    74,   136,   114,   137,   138,
     139,   136,   100,   143,    68,    69,   123,   272,    53,    53,
      42,    42,   152,   155,    71,   185,    71,   152,   116,     5,
     160,    71,    12,   163,    12,   256,   166,   167,    12,   186,
      42,    74,   172,   190,   174,    42,    39,     5,   136,    62,
     123,     5,   140,   160,    42,    42,   186,    74,    54,    72,
     190,    62,    63,    64,   152,    54,    27,    68,    69,    54,
     200,    32,    42,    42,    42,   200,   206,   207,    42,   186,
      74,   206,   211,   213,   172,    46,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   256,   252,    42,   254,   196,   197,
     198,   199,   200,   186,    74,    42,     0,    78,   206,     0,
     250,    84,   252,   211,   254,   250,    37,   257,   258,   259,
     123,    92,   257,   258,    95,   211,    35,   123,   267,   268,
      95,   271,   272,     5,    -1,   252,   271,   254,    -1,    -1,
     143,     5,     5,    -1,    -1,    17,    29,   245,    12,    12,
     121,    34,   250,    17,    17,    38,    -1,    -1,   298,   257,
     258,    44,    -1,   166,   167,    -1,    -1,    -1,     5,   252,
      -1,   254,   143,   271,   272,    12,   315,    -1,    -1,    -1,
      17,    -1,    -1,   186,   155,    -1,    50,    50,    -1,    -1,
      62,    -1,   163,   164,    -1,   166,   167,    -1,    62,    62,
      72,    -1,    -1,   174,   207,    88,    70,    70,    72,    72,
      74,    74,    -1,    50,   185,    -1,    -1,    -1,    11,   190,
      -1,    -1,    -1,    -1,    -1,    62,   109,   110,    21,    22,
      23,    24,    -1,    70,    -1,    72,   207,    74,    -1,    53,
      33,    55,    56,    57,    58,    -1,    60,    61,    62,    63,
      64,   254,    -1,    -1,    68,    69,   259,    57,    58,    -1,
      60,    61,    62,    63,    64,     5,    -1,    -1,    68,    69,
     241,    -1,    12,    -1,    -1,     5,     5,    -1,   249,   162,
      -1,    -1,    12,    12,     3,     4,     5,   170,   259,    -1,
      -1,    10,    11,    12,    -1,   298,    -1,    -1,   181,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      50,    30,    31,    32,    33,    34,    -1,    36,    37,    -1,
      50,    50,    62,    -1,    -1,    -1,    -1,   298,    -1,    -1,
      70,    50,    62,    62,    74,    -1,    -1,    -1,    -1,    -1,
      70,    70,    61,    62,    74,    74,    -1,    -1,    -1,    -1,
      -1,    70,    -1,    72,    73,    74,   239,    -1,    -1,   242,
      -1,   244,     3,     4,     5,    -1,    -1,    -1,    -1,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    -1,    36,    37,    60,    61,    62,
      63,    64,    -1,    -1,    -1,    68,    69,    -1,     5,    50,
      -1,    -1,    -1,    -1,    -1,    12,    -1,    -1,    -1,    -1,
      61,     3,     4,     5,    -1,    -1,    -1,    -1,    10,    11,
      12,    72,    73,    74,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    50,    36,    37,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    62,    -1,    -1,    50,    -1,
      -1,    -1,    -1,    70,    -1,    -1,    -1,    74,    -1,    61,
       3,     4,     5,    -1,    -1,    -1,    -1,    10,    11,    12,
      72,    73,    74,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    -1,    36,    37,    -1,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,     5,    -1,    61,    68,
      69,    -1,    11,    12,    -1,    -1,    15,    16,    -1,    72,
      73,    74,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    43,    44,    -1,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
       5,    70,    -1,    72,    73,    74,    11,    12,    -1,    -1,
      -1,    -1,    17,    -1,    -1,    -1,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      -1,     5,    -1,    38,    39,    -1,    41,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    21,    22,    23,
      24,    25,    26,    27,    28,     5,    30,    31,    32,    33,
      34,    11,    12,    -1,    -1,    -1,    -1,    72,    42,    74,
      -1,    21,    22,    23,    24,    -1,    50,    27,    28,    -1,
      -1,    31,    32,    33,    34,     5,    -1,    -1,    62,    -1,
      -1,    11,    12,    -1,    -1,    -1,    70,    17,    -1,    -1,
      74,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    -1,    11,    12,    38,    39,
      -1,    41,    17,    -1,    -1,    -1,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      -1,    -1,    -1,    38,    39,    -1,    41,    15,    16,    -1,
      -1,    -1,    72,    51,    52,    53,    -1,    55,    56,    57,
      58,    -1,    60,    61,    62,    63,    64,    35,    -1,    -1,
      68,    69,    -1,    -1,    -1,    43,    44,    72,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,     5,    70,    -1,    72,    73,    74,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    42,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    -1,    55,
      56,    57,    58,    -1,    60,    61,    62,    63,    64,     5,
      -1,    -1,    68,    69,    -1,    11,    12,    -1,    -1,    75,
      -1,    -1,    -1,    -1,    -1,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,     5,
      -1,    -1,    -1,    -1,    -1,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    -1,    55,
      56,    57,    58,    -1,    60,    61,    62,    63,    64,    -1,
      -1,    -1,    68,    69,    47,    48,    49,    50,    51,    52,
      53,    -1,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    -1,    68,    69,    48,    49,    50,
      51,    52,    53,    -1,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    -1,    68,    69,    49,
      50,    51,    52,    53,    -1,    55,    56,    57,    58,    -1,
      60,    61,    62,    63,    64,    -1,    -1,    -1,    68,    69,
      50,    51,    52,    53,    -1,    55,    56,    57,    58,    -1,
      60,    61,    62,    63,    64,    -1,    -1,    -1,    68,    69
};
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
#line 3 "/volume/hab/Linux/Ubuntu-12.04/x86_64/bison/1.35/share/bison/bison.simple"

/* Skeleton output parser for bison,

   Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002 Free Software
   Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* This is the parser code that is written into each bison parser when
   the %semantic_parser declaration is not specified in the grammar.
   It was written by Richard Stallman by simplifying the hairy parser
   used when %semantic_parser is specified.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

#if ! defined (yyoverflow) || defined (YYERROR_VERBOSE)

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# if YYSTACK_USE_ALLOCA
#  define YYSTACK_ALLOC alloca
# else
#  ifndef YYSTACK_USE_ALLOCA
#   if defined (alloca) || defined (_ALLOCA_H)
#    define YYSTACK_ALLOC alloca
#   else
#    ifdef __GNUC__
#     define YYSTACK_ALLOC __builtin_alloca
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning. */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
# else
#  if defined (__STDC__) || defined (__cplusplus)
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   define YYSIZE_T size_t
#  endif
#  define YYSTACK_ALLOC malloc
#  define YYSTACK_FREE free
# endif
#endif /* ! defined (yyoverflow) || defined (YYERROR_VERBOSE) */


#if (! defined (yyoverflow) \
     && (! defined (__cplusplus) \
	 || (YYLTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  short yyss;
  YYSTYPE yyvs;
# if YYLSP_NEEDED
  YYLTYPE yyls;
# endif
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAX (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# if YYLSP_NEEDED
#  define YYSTACK_BYTES(N) \
     ((N) * (sizeof (short) + sizeof (YYSTYPE) + sizeof (YYLTYPE))	\
      + 2 * YYSTACK_GAP_MAX)
# else
#  define YYSTACK_BYTES(N) \
     ((N) * (sizeof (short) + sizeof (YYSTYPE))				\
      + YYSTACK_GAP_MAX)
# endif

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  register YYSIZE_T yyi;		\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (0)
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack)					\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack, Stack, yysize);				\
	Stack = &yyptr->Stack;						\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAX;	\
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (0)

#endif


#if ! defined (YYSIZE_T) && defined (__SIZE_TYPE__)
# define YYSIZE_T __SIZE_TYPE__
#endif
#if ! defined (YYSIZE_T) && defined (size_t)
# define YYSIZE_T size_t
#endif
#if ! defined (YYSIZE_T)
# if defined (__STDC__) || defined (__cplusplus)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# endif
#endif
#if ! defined (YYSIZE_T)
# define YYSIZE_T unsigned int
#endif

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		-2
#define YYEOF		0
#define YYACCEPT	goto yyacceptlab
#define YYABORT 	goto yyabortlab
#define YYERROR		goto yyerrlab1
/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL		goto yyerrlab
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yychar1 = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { 								\
      yyerror ("syntax error: cannot back up");			\
      YYERROR;							\
    }								\
while (0)

#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Compute the default location (before the actions
   are run).

   When YYLLOC_DEFAULT is run, CURRENT is set the location of the
   first token.  By default, to implement support for ranges, extend
   its range to the last symbol.  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)       	\
   Current.last_line   = Rhs[N].last_line;	\
   Current.last_column = Rhs[N].last_column;
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#if YYPURE
# if YYLSP_NEEDED
#  ifdef YYLEX_PARAM
#   define YYLEX		yylex (&yylval, &yylloc, YYLEX_PARAM)
#  else
#   define YYLEX		yylex (&yylval, &yylloc)
#  endif
# else /* !YYLSP_NEEDED */
#  ifdef YYLEX_PARAM
#   define YYLEX		yylex (&yylval, YYLEX_PARAM)
#  else
#   define YYLEX		yylex (&yylval)
#  endif
# endif /* !YYLSP_NEEDED */
#else /* !YYPURE */
# define YYLEX			yylex ()
#endif /* !YYPURE */


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (0)
/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
#endif /* !YYDEBUG */

/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   SIZE_MAX < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#if YYMAXDEPTH == 0
# undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif

#ifdef YYERROR_VERBOSE

# ifndef yystrlen
#  if defined (__GLIBC__) && defined (_STRING_H)
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
#   if defined (__STDC__) || defined (__cplusplus)
yystrlen (const char *yystr)
#   else
yystrlen (yystr)
     const char *yystr;
#   endif
{
  register const char *yys = yystr;

  while (*yys++ != '\0')
    continue;

  return yys - yystr - 1;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined (__GLIBC__) && defined (_STRING_H) && defined (_GNU_SOURCE)
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
#   if defined (__STDC__) || defined (__cplusplus)
yystpcpy (char *yydest, const char *yysrc)
#   else
yystpcpy (yydest, yysrc)
     char *yydest;
     const char *yysrc;
#   endif
{
  register char *yyd = yydest;
  register const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif
#endif

#line 315 "/volume/hab/Linux/Ubuntu-12.04/x86_64/bison/1.35/share/bison/bison.simple"


/* The user can define YYPARSE_PARAM as the name of an argument to be passed
   into yyparse.  The argument should have type void *.
   It should actually point to an object.
   Grammar actions can access the variable by casting it
   to the proper pointer type.  */

#ifdef YYPARSE_PARAM
# if defined (__STDC__) || defined (__cplusplus)
#  define YYPARSE_PARAM_ARG void *YYPARSE_PARAM
#  define YYPARSE_PARAM_DECL
# else
#  define YYPARSE_PARAM_ARG YYPARSE_PARAM
#  define YYPARSE_PARAM_DECL void *YYPARSE_PARAM;
# endif
#else /* !YYPARSE_PARAM */
# define YYPARSE_PARAM_ARG
# define YYPARSE_PARAM_DECL
#endif /* !YYPARSE_PARAM */

/* Prevent warning if -Wstrict-prototypes.  */
#ifdef __GNUC__
# ifdef YYPARSE_PARAM
int yyparse (void *);
# else
int yyparse (void);
# endif
#endif

/* YY_DECL_VARIABLES -- depending whether we use a pure parser,
   variables are global, or local to YYPARSE.  */

#define YY_DECL_NON_LSP_VARIABLES			\
/* The lookahead symbol.  */				\
int yychar;						\
							\
/* The semantic value of the lookahead symbol. */	\
YYSTYPE yylval;						\
							\
/* Number of parse errors so far.  */			\
int yynerrs;

#if YYLSP_NEEDED
# define YY_DECL_VARIABLES			\
YY_DECL_NON_LSP_VARIABLES			\
						\
/* Location data for the lookahead symbol.  */	\
YYLTYPE yylloc;
#else
# define YY_DECL_VARIABLES			\
YY_DECL_NON_LSP_VARIABLES
#endif


/* If nonreentrant, generate the variables here. */

#if !YYPURE
YY_DECL_VARIABLES
#endif  /* !YYPURE */

int
yyparse (YYPARSE_PARAM_ARG)
     YYPARSE_PARAM_DECL
{
  /* If reentrant, generate the variables here. */
#if YYPURE
  YY_DECL_VARIABLES
#endif  /* !YYPURE */

  register int yystate;
  register int yyn;
  int yyresult;
  /* Number of tokens to shift before error messages enabled.  */
  int yyerrstatus;
  /* Lookahead token as an internal (translated) token number.  */
  int yychar1 = 0;

  /* Three stacks and their tools:
     `yyss': related to states,
     `yyvs': related to semantic values,
     `yyls': related to locations.

     Refer to the stacks thru separate pointers, to allow yyoverflow
     to reallocate them elsewhere.  */

  /* The state stack. */
  short	yyssa[YYINITDEPTH];
  short *yyss = yyssa;
  register short *yyssp;

  /* The semantic value stack.  */
  YYSTYPE yyvsa[YYINITDEPTH];
  YYSTYPE *yyvs = yyvsa;
  register YYSTYPE *yyvsp;

#if YYLSP_NEEDED
  /* The location stack.  */
  YYLTYPE yylsa[YYINITDEPTH];
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;
#endif

#if YYLSP_NEEDED
# define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
# define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  YYSIZE_T yystacksize = YYINITDEPTH;


  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
#if YYLSP_NEEDED
  YYLTYPE yyloc;
#endif

  /* When reducing, the number of symbols on the RHS of the reduced
     rule. */
  int yylen;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss;
  yyvsp = yyvs;
#if YYLSP_NEEDED
  yylsp = yyls;
#endif
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed. so pushing a state here evens the stacks.
     */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack. Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	short *yyss1 = yyss;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  */
# if YYLSP_NEEDED
	YYLTYPE *yyls1 = yyls;
	/* This used to be a conditional around just the two extra args,
	   but that might be undefined if yyoverflow is a macro.  */
	yyoverflow ("parser stack overflow",
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);
	yyls = yyls1;
# else
	yyoverflow ("parser stack overflow",
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yystacksize);
# endif
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyoverflowlab;
# else
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	goto yyoverflowlab;
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;

      {
	short *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyoverflowlab;
	YYSTACK_RELOCATE (yyss);
	YYSTACK_RELOCATE (yyvs);
# if YYLSP_NEEDED
	YYSTACK_RELOCATE (yyls);
# endif
# undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
#if YYLSP_NEEDED
      yylsp = yyls + yysize - 1;
#endif

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (yychar <= 0)		/* This means end of input. */
    {
      yychar1 = 0;
      yychar = YYEOF;		/* Don't call YYLEX any more */

      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yychar1 = YYTRANSLATE (yychar);

#if YYDEBUG
     /* We have to keep this `#if YYDEBUG', since we use variables
	which are defined only if `YYDEBUG' is set.  */
      if (yydebug)
	{
	  YYFPRINTF (stderr, "Next token is %d (%s",
		     yychar, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise
	     meaning of a token, for further debugging info.  */
# ifdef YYPRINT
	  YYPRINT (stderr, yychar, yylval);
# endif
	  YYFPRINTF (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    goto yydefault;

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrlab;

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */
  YYDPRINTF ((stderr, "Shifting token %d (%s), ",
	      yychar, yytname[yychar1]));

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;
#if YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  yystate = yyn;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to the semantic value of
     the lookahead token.  This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

#if YYLSP_NEEDED
  /* Similarly for the default location.  Let the user run additional
     commands if for instance locations are ranges.  */
  yyloc = yylsp[1-yylen];
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
#endif

#if YYDEBUG
  /* We have to keep this `#if YYDEBUG', since we use variables which
     are defined only if `YYDEBUG' is set.  */
  if (yydebug)
    {
      int yyi;

      YYFPRINTF (stderr, "Reducing via rule %d (line %d), ",
		 yyn, yyrline[yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (yyi = yyprhs[yyn]; yyrhs[yyi] > 0; yyi++)
	YYFPRINTF (stderr, "%s ", yytname[yyrhs[yyi]]);
      YYFPRINTF (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif

  switch (yyn) {

case 1:
#line 343 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ global_result = yyvsp[0].comp; }
    break;
case 5:
#line 355 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = NULL; }
    break;
case 6:
#line 357 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = yyvsp[0].comp; }
    break;
case 7:
#line 364 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = yyvsp[0].nested.comp;
			  *yyvsp[0].nested.last = yyvsp[-1].comp;
			}
    break;
case 8:
#line 373 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = fill_comp (DEMANGLE_COMPONENT_TYPED_NAME, yyvsp[-2].comp, yyvsp[-1].nested.comp);
			  if (yyvsp[0].comp) yyval.comp = fill_comp (DEMANGLE_COMPONENT_LOCAL_NAME, yyval.comp, yyvsp[0].comp); }
    break;
case 9:
#line 376 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = fill_comp (DEMANGLE_COMPONENT_TYPED_NAME, yyvsp[-2].comp, yyvsp[-1].nested.comp);
			  if (yyvsp[0].comp) yyval.comp = fill_comp (DEMANGLE_COMPONENT_LOCAL_NAME, yyval.comp, yyvsp[0].comp); }
    break;
case 10:
#line 380 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = yyvsp[-1].nested.comp;
			  if (yyvsp[0].comp) yyval.comp = fill_comp (DEMANGLE_COMPONENT_LOCAL_NAME, yyval.comp, yyvsp[0].comp); }
    break;
case 11:
#line 383 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ if (yyvsp[0].abstract.last)
			    {
			       /* First complete the abstract_declarator's type using
				  the typespec from the conversion_op_name.  */
			      *yyvsp[0].abstract.last = *yyvsp[-1].nested.last;
			      /* Then complete the conversion_op_name with the type.  */
			      *yyvsp[-1].nested.last = yyvsp[0].abstract.comp;
			    }
			  /* If we have an arglist, build a function type.  */
			  if (yyvsp[0].abstract.fn.comp)
			    yyval.comp = fill_comp (DEMANGLE_COMPONENT_TYPED_NAME, yyvsp[-1].nested.comp, yyvsp[0].abstract.fn.comp);
			  else
			    yyval.comp = yyvsp[-1].nested.comp;
			  if (yyvsp[0].abstract.start) yyval.comp = fill_comp (DEMANGLE_COMPONENT_LOCAL_NAME, yyval.comp, yyvsp[0].abstract.start);
			}
    break;
case 12:
#line 402 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_empty (yyvsp[-1].lval);
			  d_left (yyval.comp) = yyvsp[0].comp;
			  d_right (yyval.comp) = NULL; }
    break;
case 13:
#line 406 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = fill_comp (DEMANGLE_COMPONENT_CONSTRUCTION_VTABLE, yyvsp[-2].comp, yyvsp[0].comp); }
    break;
case 14:
#line 408 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_empty (yyvsp[0].typed_val_int.val);
			  d_left (yyval.comp) = yyvsp[0].typed_val_int.type;
			  d_right (yyval.comp) = NULL; }
    break;
case 15:
#line 414 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("new", 1); }
    break;
case 16:
#line 416 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("delete", 1); }
    break;
case 17:
#line 418 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("new[]", 1); }
    break;
case 18:
#line 420 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("delete[]", 1); }
    break;
case 19:
#line 422 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("+", 2); }
    break;
case 20:
#line 424 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("-", 2); }
    break;
case 21:
#line 426 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("*", 2); }
    break;
case 22:
#line 428 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("/", 2); }
    break;
case 23:
#line 430 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("%", 2); }
    break;
case 24:
#line 432 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("^", 2); }
    break;
case 25:
#line 434 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("&", 2); }
    break;
case 26:
#line 436 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("|", 2); }
    break;
case 27:
#line 438 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("~", 1); }
    break;
case 28:
#line 440 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("!", 1); }
    break;
case 29:
#line 442 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("=", 2); }
    break;
case 30:
#line 444 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("<", 2); }
    break;
case 31:
#line 446 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator (">", 2); }
    break;
case 32:
#line 448 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator (yyvsp[0].opname, 2); }
    break;
case 33:
#line 450 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("<<", 2); }
    break;
case 34:
#line 452 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator (">>", 2); }
    break;
case 35:
#line 454 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("==", 2); }
    break;
case 36:
#line 456 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("!=", 2); }
    break;
case 37:
#line 458 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("<=", 2); }
    break;
case 38:
#line 460 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator (">=", 2); }
    break;
case 39:
#line 462 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("&&", 2); }
    break;
case 40:
#line 464 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("||", 2); }
    break;
case 41:
#line 466 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("++", 1); }
    break;
case 42:
#line 468 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("--", 1); }
    break;
case 43:
#line 470 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator (",", 2); }
    break;
case 44:
#line 472 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("->*", 2); }
    break;
case 45:
#line 474 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("->", 2); }
    break;
case 46:
#line 476 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("()", 0); }
    break;
case 47:
#line 478 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_operator ("[]", 2); }
    break;
case 48:
#line 486 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = fill_comp (DEMANGLE_COMPONENT_CAST, yyvsp[0].comp, NULL); }
    break;
case 49:
#line 491 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = yyvsp[-1].nested1.comp;
			  d_right (yyvsp[-1].nested1.last) = yyvsp[0].comp;
			  yyval.nested.last = &d_left (yyvsp[0].comp);
			}
    break;
case 50:
#line 496 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = yyvsp[0].comp;
			  yyval.nested.last = &d_left (yyvsp[0].comp);
			}
    break;
case 51:
#line 500 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = yyvsp[-1].nested1.comp;
			  d_right (yyvsp[-1].nested1.last) = yyvsp[0].comp;
			  yyval.nested.last = &d_left (yyvsp[0].comp);
			}
    break;
case 52:
#line 505 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = yyvsp[0].comp;
			  yyval.nested.last = &d_left (yyvsp[0].comp);
			}
    break;
case 54:
#line 514 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = fill_comp (DEMANGLE_COMPONENT_TEMPLATE, yyvsp[-3].comp, yyvsp[-1].nested.comp); }
    break;
case 55:
#line 516 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_dtor (gnu_v3_complete_object_dtor, yyvsp[0].comp); }
    break;
case 57:
#line 529 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = yyvsp[0].comp; }
    break;
case 58:
#line 535 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = yyvsp[-1].nested1.comp; d_right (yyvsp[-1].nested1.last) = yyvsp[0].comp; }
    break;
case 60:
#line 538 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = yyvsp[-1].nested1.comp; d_right (yyvsp[-1].nested1.last) = yyvsp[0].comp; }
    break;
case 65:
#line 548 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = yyvsp[0].comp; }
    break;
case 66:
#line 552 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = yyvsp[-1].nested1.comp; d_right (yyvsp[-1].nested1.last) = yyvsp[0].comp; }
    break;
case 68:
#line 557 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested1.comp = make_empty (DEMANGLE_COMPONENT_QUAL_NAME);
			  d_left (yyval.nested1.comp) = yyvsp[-1].comp;
			  d_right (yyval.nested1.comp) = NULL;
			  yyval.nested1.last = yyval.nested1.comp;
			}
    break;
case 69:
#line 563 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested1.comp = yyvsp[-2].nested1.comp;
			  d_right (yyvsp[-2].nested1.last) = make_empty (DEMANGLE_COMPONENT_QUAL_NAME);
			  yyval.nested1.last = d_right (yyvsp[-2].nested1.last);
			  d_left (yyval.nested1.last) = yyvsp[-1].comp;
			  d_right (yyval.nested1.last) = NULL;
			}
    break;
case 70:
#line 570 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested1.comp = make_empty (DEMANGLE_COMPONENT_QUAL_NAME);
			  d_left (yyval.nested1.comp) = yyvsp[-1].comp;
			  d_right (yyval.nested1.comp) = NULL;
			  yyval.nested1.last = yyval.nested1.comp;
			}
    break;
case 71:
#line 576 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested1.comp = yyvsp[-2].nested1.comp;
			  d_right (yyvsp[-2].nested1.last) = make_empty (DEMANGLE_COMPONENT_QUAL_NAME);
			  yyval.nested1.last = d_right (yyvsp[-2].nested1.last);
			  d_left (yyval.nested1.last) = yyvsp[-1].comp;
			  d_right (yyval.nested1.last) = NULL;
			}
    break;
case 72:
#line 587 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = fill_comp (DEMANGLE_COMPONENT_TEMPLATE, yyvsp[-3].comp, yyvsp[-1].nested.comp); }
    break;
case 73:
#line 591 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = fill_comp (DEMANGLE_COMPONENT_TEMPLATE_ARGLIST, yyvsp[0].comp, NULL);
			yyval.nested.last = &d_right (yyval.nested.comp); }
    break;
case 74:
#line 594 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = yyvsp[-2].nested.comp;
			  *yyvsp[-2].nested.last = fill_comp (DEMANGLE_COMPONENT_TEMPLATE_ARGLIST, yyvsp[0].comp, NULL);
			  yyval.nested.last = &d_right (*yyvsp[-2].nested.last);
			}
    break;
case 76:
#line 606 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = yyvsp[0].abstract.comp;
			  *yyvsp[0].abstract.last = yyvsp[-1].comp;
			}
    break;
case 77:
#line 610 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = fill_comp (DEMANGLE_COMPONENT_UNARY, make_operator ("&", 1), yyvsp[0].comp); }
    break;
case 78:
#line 612 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = fill_comp (DEMANGLE_COMPONENT_UNARY, make_operator ("&", 1), yyvsp[-1].comp); }
    break;
case 80:
#line 617 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = fill_comp (DEMANGLE_COMPONENT_ARGLIST, yyvsp[0].comp, NULL);
			  yyval.nested.last = &d_right (yyval.nested.comp);
			}
    break;
case 81:
#line 621 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ *yyvsp[0].abstract.last = yyvsp[-1].comp;
			  yyval.nested.comp = fill_comp (DEMANGLE_COMPONENT_ARGLIST, yyvsp[0].abstract.comp, NULL);
			  yyval.nested.last = &d_right (yyval.nested.comp);
			}
    break;
case 82:
#line 626 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ *yyvsp[-2].nested.last = fill_comp (DEMANGLE_COMPONENT_ARGLIST, yyvsp[0].comp, NULL);
			  yyval.nested.comp = yyvsp[-2].nested.comp;
			  yyval.nested.last = &d_right (*yyvsp[-2].nested.last);
			}
    break;
case 83:
#line 631 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ *yyvsp[0].abstract.last = yyvsp[-1].comp;
			  *yyvsp[-3].nested.last = fill_comp (DEMANGLE_COMPONENT_ARGLIST, yyvsp[0].abstract.comp, NULL);
			  yyval.nested.comp = yyvsp[-3].nested.comp;
			  yyval.nested.last = &d_right (*yyvsp[-3].nested.last);
			}
    break;
case 84:
#line 637 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ *yyvsp[-2].nested.last
			    = fill_comp (DEMANGLE_COMPONENT_ARGLIST,
					   make_builtin_type ("..."),
					   NULL);
			  yyval.nested.comp = yyvsp[-2].nested.comp;
			  yyval.nested.last = &d_right (*yyvsp[-2].nested.last);
			}
    break;
case 85:
#line 647 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = fill_comp (DEMANGLE_COMPONENT_FUNCTION_TYPE, NULL, yyvsp[-2].nested.comp);
			  yyval.nested.last = &d_left (yyval.nested.comp);
			  yyval.nested.comp = d_qualify (yyval.nested.comp, yyvsp[0].lval, 1); }
    break;
case 86:
#line 651 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = fill_comp (DEMANGLE_COMPONENT_FUNCTION_TYPE, NULL, NULL);
			  yyval.nested.last = &d_left (yyval.nested.comp);
			  yyval.nested.comp = d_qualify (yyval.nested.comp, yyvsp[0].lval, 1); }
    break;
case 87:
#line 655 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = fill_comp (DEMANGLE_COMPONENT_FUNCTION_TYPE, NULL, NULL);
			  yyval.nested.last = &d_left (yyval.nested.comp);
			  yyval.nested.comp = d_qualify (yyval.nested.comp, yyvsp[0].lval, 1); }
    break;
case 88:
#line 662 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.lval = 0; }
    break;
case 90:
#line 667 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.lval = QUAL_RESTRICT; }
    break;
case 91:
#line 669 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.lval = QUAL_VOLATILE; }
    break;
case 92:
#line 671 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.lval = QUAL_CONST; }
    break;
case 94:
#line 676 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.lval = yyvsp[-1].lval | yyvsp[0].lval; }
    break;
case 95:
#line 683 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.lval = 0; }
    break;
case 96:
#line 685 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.lval = INT_SIGNED; }
    break;
case 97:
#line 687 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.lval = INT_UNSIGNED; }
    break;
case 98:
#line 689 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.lval = INT_CHAR; }
    break;
case 99:
#line 691 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.lval = INT_LONG; }
    break;
case 100:
#line 693 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.lval = INT_SHORT; }
    break;
case 102:
#line 698 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.lval = yyvsp[-1].lval | yyvsp[0].lval; if (yyvsp[-1].lval & yyvsp[0].lval & INT_LONG) yyval.lval = yyvsp[-1].lval | INT_LLONG; }
    break;
case 103:
#line 702 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_int_type (yyvsp[0].lval); }
    break;
case 104:
#line 704 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_builtin_type ("float"); }
    break;
case 105:
#line 706 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_builtin_type ("double"); }
    break;
case 106:
#line 708 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_builtin_type ("long double"); }
    break;
case 107:
#line 710 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_builtin_type ("bool"); }
    break;
case 108:
#line 712 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_builtin_type ("wchar_t"); }
    break;
case 109:
#line 714 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_builtin_type ("void"); }
    break;
case 110:
#line 718 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = make_empty (DEMANGLE_COMPONENT_POINTER);
			  yyval.nested.comp->u.s_binary.left = yyval.nested.comp->u.s_binary.right = NULL;
			  yyval.nested.last = &d_left (yyval.nested.comp);
			  yyval.nested.comp = d_qualify (yyval.nested.comp, yyvsp[0].lval, 0); }
    break;
case 111:
#line 724 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = make_empty (DEMANGLE_COMPONENT_REFERENCE);
			  yyval.nested.comp->u.s_binary.left = yyval.nested.comp->u.s_binary.right = NULL;
			  yyval.nested.last = &d_left (yyval.nested.comp); }
    break;
case 112:
#line 728 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = make_empty (DEMANGLE_COMPONENT_PTRMEM_TYPE);
			  yyval.nested.comp->u.s_binary.left = yyvsp[-2].nested1.comp;
			  /* Convert the innermost DEMANGLE_COMPONENT_QUAL_NAME to a DEMANGLE_COMPONENT_NAME.  */
			  *yyvsp[-2].nested1.last = *d_left (yyvsp[-2].nested1.last);
			  yyval.nested.comp->u.s_binary.right = NULL;
			  yyval.nested.last = &d_right (yyval.nested.comp);
			  yyval.nested.comp = d_qualify (yyval.nested.comp, yyvsp[0].lval, 0); }
    break;
case 113:
#line 736 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = make_empty (DEMANGLE_COMPONENT_PTRMEM_TYPE);
			  yyval.nested.comp->u.s_binary.left = yyvsp[-2].nested1.comp;
			  /* Convert the innermost DEMANGLE_COMPONENT_QUAL_NAME to a DEMANGLE_COMPONENT_NAME.  */
			  *yyvsp[-2].nested1.last = *d_left (yyvsp[-2].nested1.last);
			  yyval.nested.comp->u.s_binary.right = NULL;
			  yyval.nested.last = &d_right (yyval.nested.comp);
			  yyval.nested.comp = d_qualify (yyval.nested.comp, yyvsp[0].lval, 0); }
    break;
case 114:
#line 746 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_empty (DEMANGLE_COMPONENT_ARRAY_TYPE);
			  d_left (yyval.comp) = NULL;
			}
    break;
case 115:
#line 750 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = make_empty (DEMANGLE_COMPONENT_ARRAY_TYPE);
			  d_left (yyval.comp) = yyvsp[-1].comp;
			}
    break;
case 116:
#line 766 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_qualify (yyvsp[-1].comp, yyvsp[0].lval, 0); }
    break;
case 118:
#line 769 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_qualify (yyvsp[-1].comp, yyvsp[-2].lval | yyvsp[0].lval, 0); }
    break;
case 119:
#line 771 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_qualify (yyvsp[0].comp, yyvsp[-1].lval, 0); }
    break;
case 120:
#line 774 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_qualify (yyvsp[-1].comp, yyvsp[0].lval, 0); }
    break;
case 122:
#line 777 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_qualify (yyvsp[-1].comp, yyvsp[-2].lval | yyvsp[0].lval, 0); }
    break;
case 123:
#line 779 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_qualify (yyvsp[0].comp, yyvsp[-1].lval, 0); }
    break;
case 124:
#line 782 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_qualify (yyvsp[-1].comp, yyvsp[0].lval, 0); }
    break;
case 125:
#line 784 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = yyvsp[0].comp; }
    break;
case 126:
#line 786 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_qualify (yyvsp[-1].comp, yyvsp[-3].lval | yyvsp[0].lval, 0); }
    break;
case 127:
#line 788 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_qualify (yyvsp[0].comp, yyvsp[-2].lval, 0); }
    break;
case 128:
#line 793 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.abstract.comp = yyvsp[0].nested.comp; yyval.abstract.last = yyvsp[0].nested.last;
			  yyval.abstract.fn.comp = NULL; yyval.abstract.fn.last = NULL; }
    break;
case 129:
#line 796 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.abstract = yyvsp[0].abstract; yyval.abstract.fn.comp = NULL; yyval.abstract.fn.last = NULL;
			  if (yyvsp[0].abstract.fn.comp) { yyval.abstract.last = yyvsp[0].abstract.fn.last; *yyvsp[0].abstract.last = yyvsp[0].abstract.fn.comp; }
			  *yyval.abstract.last = yyvsp[-1].nested.comp;
			  yyval.abstract.last = yyvsp[-1].nested.last; }
    break;
case 130:
#line 801 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.abstract.fn.comp = NULL; yyval.abstract.fn.last = NULL;
			  if (yyvsp[0].abstract.fn.comp) { yyval.abstract.last = yyvsp[0].abstract.fn.last; *yyvsp[0].abstract.last = yyvsp[0].abstract.fn.comp; }
			}
    break;
case 131:
#line 808 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.abstract = yyvsp[-1].abstract; yyval.abstract.fn.comp = NULL; yyval.abstract.fn.last = NULL; yyval.abstract.fold_flag = 1;
			  if (yyvsp[-1].abstract.fn.comp) { yyval.abstract.last = yyvsp[-1].abstract.fn.last; *yyvsp[-1].abstract.last = yyvsp[-1].abstract.fn.comp; }
			}
    break;
case 132:
#line 812 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.abstract.fold_flag = 0;
			  if (yyvsp[-1].abstract.fn.comp) { yyval.abstract.last = yyvsp[-1].abstract.fn.last; *yyvsp[-1].abstract.last = yyvsp[-1].abstract.fn.comp; }
			  if (yyvsp[-1].abstract.fold_flag)
			    {
			      *yyval.abstract.last = yyvsp[0].nested.comp;
			      yyval.abstract.last = yyvsp[0].nested.last;
			    }
			  else
			    yyval.abstract.fn = yyvsp[0].nested;
			}
    break;
case 133:
#line 823 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.abstract.fn.comp = NULL; yyval.abstract.fn.last = NULL; yyval.abstract.fold_flag = 0;
			  if (yyvsp[-1].abstract.fn.comp) { yyval.abstract.last = yyvsp[-1].abstract.fn.last; *yyvsp[-1].abstract.last = yyvsp[-1].abstract.fn.comp; }
			  *yyvsp[-1].abstract.last = yyvsp[0].comp;
			  yyval.abstract.last = &d_right (yyvsp[0].comp);
			}
    break;
case 134:
#line 829 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.abstract.fn.comp = NULL; yyval.abstract.fn.last = NULL; yyval.abstract.fold_flag = 0;
			  yyval.abstract.comp = yyvsp[0].comp;
			  yyval.abstract.last = &d_right (yyvsp[0].comp);
			}
    break;
case 135:
#line 847 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.abstract.comp = yyvsp[0].nested.comp; yyval.abstract.last = yyvsp[0].nested.last;
			  yyval.abstract.fn.comp = NULL; yyval.abstract.fn.last = NULL; yyval.abstract.start = NULL; }
    break;
case 136:
#line 850 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.abstract = yyvsp[0].abstract;
			  if (yyvsp[0].abstract.last)
			    *yyval.abstract.last = yyvsp[-1].nested.comp;
			  else
			    yyval.abstract.comp = yyvsp[-1].nested.comp;
			  yyval.abstract.last = yyvsp[-1].nested.last;
			}
    break;
case 137:
#line 858 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.abstract.comp = yyvsp[0].abstract.comp; yyval.abstract.last = yyvsp[0].abstract.last; yyval.abstract.fn = yyvsp[0].abstract.fn; yyval.abstract.start = NULL; }
    break;
case 138:
#line 860 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.abstract.start = yyvsp[0].comp;
			  if (yyvsp[-3].abstract.fn.comp) { yyval.abstract.last = yyvsp[-3].abstract.fn.last; *yyvsp[-3].abstract.last = yyvsp[-3].abstract.fn.comp; }
			  if (yyvsp[-3].abstract.fold_flag)
			    {
			      *yyval.abstract.last = yyvsp[-2].nested.comp;
			      yyval.abstract.last = yyvsp[-2].nested.last;
			    }
			  else
			    yyval.abstract.fn = yyvsp[-2].nested;
			}
    break;
case 139:
#line 871 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.abstract.fn = yyvsp[-1].nested;
			  yyval.abstract.start = yyvsp[0].comp;
			  yyval.abstract.comp = NULL; yyval.abstract.last = NULL;
			}
    break;
case 141:
#line 879 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = yyvsp[0].abstract.comp;
			  *yyvsp[0].abstract.last = yyvsp[-1].comp;
			}
    break;
case 142:
#line 885 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = yyvsp[0].nested.comp;
			  yyval.nested.last = yyvsp[-1].nested.last;
			  *yyvsp[0].nested.last = yyvsp[-1].nested.comp; }
    break;
case 144:
#line 893 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested = yyvsp[-1].nested; }
    break;
case 145:
#line 895 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = yyvsp[-1].nested.comp;
			  *yyvsp[-1].nested.last = yyvsp[0].nested.comp;
			  yyval.nested.last = yyvsp[0].nested.last;
			}
    break;
case 146:
#line 900 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = yyvsp[-1].nested.comp;
			  *yyvsp[-1].nested.last = yyvsp[0].comp;
			  yyval.nested.last = &d_right (yyvsp[0].comp);
			}
    break;
case 147:
#line 905 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = make_empty (DEMANGLE_COMPONENT_TYPED_NAME);
			  d_left (yyval.nested.comp) = yyvsp[0].comp;
			  yyval.nested.last = &d_right (yyval.nested.comp);
			}
    break;
case 148:
#line 918 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = yyvsp[0].nested.comp;
			  yyval.nested.last = yyvsp[-1].nested.last;
			  *yyvsp[0].nested.last = yyvsp[-1].nested.comp; }
    break;
case 149:
#line 922 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = make_empty (DEMANGLE_COMPONENT_TYPED_NAME);
			  d_left (yyval.nested.comp) = yyvsp[0].comp;
			  yyval.nested.last = &d_right (yyval.nested.comp);
			}
    break;
case 151:
#line 935 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = fill_comp (DEMANGLE_COMPONENT_TYPED_NAME, yyvsp[-3].comp, yyvsp[-2].nested.comp);
			  yyval.nested.last = yyvsp[-2].nested.last;
			  yyval.nested.comp = fill_comp (DEMANGLE_COMPONENT_LOCAL_NAME, yyval.nested.comp, yyvsp[0].comp);
			}
    break;
case 152:
#line 940 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = yyvsp[-3].nested.comp;
			  *yyvsp[-3].nested.last = yyvsp[-2].nested.comp;
			  yyval.nested.last = yyvsp[-2].nested.last;
			  yyval.nested.comp = fill_comp (DEMANGLE_COMPONENT_LOCAL_NAME, yyval.nested.comp, yyvsp[0].comp);
			}
    break;
case 153:
#line 949 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = yyvsp[-1].nested.comp;
			  yyval.nested.last = yyvsp[-2].nested.last;
			  *yyvsp[-1].nested.last = yyvsp[-2].nested.comp; }
    break;
case 154:
#line 953 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = yyvsp[-1].nested.comp;
			  *yyvsp[-1].nested.last = yyvsp[0].nested.comp;
			  yyval.nested.last = yyvsp[0].nested.last;
			}
    break;
case 155:
#line 958 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = yyvsp[-1].nested.comp;
			  *yyvsp[-1].nested.last = yyvsp[0].comp;
			  yyval.nested.last = &d_right (yyvsp[0].comp);
			}
    break;
case 156:
#line 963 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = fill_comp (DEMANGLE_COMPONENT_TYPED_NAME, yyvsp[-1].comp, yyvsp[0].nested.comp);
			  yyval.nested.last = yyvsp[0].nested.last;
			}
    break;
case 157:
#line 967 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.nested.comp = fill_comp (DEMANGLE_COMPONENT_TYPED_NAME, yyvsp[-1].comp, yyvsp[0].comp);
			  yyval.nested.last = &d_right (yyvsp[0].comp);
			}
    break;
case 158:
#line 973 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = yyvsp[-1].comp; }
    break;
case 160:
#line 982 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_binary (">", yyvsp[-2].comp, yyvsp[0].comp); }
    break;
case 161:
#line 989 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = fill_comp (DEMANGLE_COMPONENT_UNARY, make_operator ("&", 1), yyvsp[0].comp); }
    break;
case 162:
#line 994 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_unary ("-", yyvsp[0].comp); }
    break;
case 163:
#line 998 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_unary ("!", yyvsp[0].comp); }
    break;
case 164:
#line 1002 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_unary ("~", yyvsp[0].comp); }
    break;
case 165:
#line 1009 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ if (yyvsp[0].comp->type == DEMANGLE_COMPONENT_LITERAL
		      || yyvsp[0].comp->type == DEMANGLE_COMPONENT_LITERAL_NEG)
		    {
		      yyval.comp = yyvsp[0].comp;
		      d_left (yyvsp[0].comp) = yyvsp[-2].comp;
		    }
		  else
		    yyval.comp = fill_comp (DEMANGLE_COMPONENT_UNARY,
				      fill_comp (DEMANGLE_COMPONENT_CAST, yyvsp[-2].comp, NULL),
				      yyvsp[0].comp);
		}
    break;
case 166:
#line 1025 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = fill_comp (DEMANGLE_COMPONENT_UNARY,
				    fill_comp (DEMANGLE_COMPONENT_CAST, yyvsp[-4].comp, NULL),
				    yyvsp[-1].comp);
		}
    break;
case 167:
#line 1032 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = fill_comp (DEMANGLE_COMPONENT_UNARY,
				    fill_comp (DEMANGLE_COMPONENT_CAST, yyvsp[-4].comp, NULL),
				    yyvsp[-1].comp);
		}
    break;
case 168:
#line 1039 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = fill_comp (DEMANGLE_COMPONENT_UNARY,
				    fill_comp (DEMANGLE_COMPONENT_CAST, yyvsp[-4].comp, NULL),
				    yyvsp[-1].comp);
		}
    break;
case 169:
#line 1052 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = fill_comp (DEMANGLE_COMPONENT_UNARY,
				    fill_comp (DEMANGLE_COMPONENT_CAST, yyvsp[-3].comp, NULL),
				    yyvsp[-1].comp);
		}
    break;
case 170:
#line 1063 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_binary ("*", yyvsp[-2].comp, yyvsp[0].comp); }
    break;
case 171:
#line 1067 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_binary ("/", yyvsp[-2].comp, yyvsp[0].comp); }
    break;
case 172:
#line 1071 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_binary ("%", yyvsp[-2].comp, yyvsp[0].comp); }
    break;
case 173:
#line 1075 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_binary ("+", yyvsp[-2].comp, yyvsp[0].comp); }
    break;
case 174:
#line 1079 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_binary ("-", yyvsp[-2].comp, yyvsp[0].comp); }
    break;
case 175:
#line 1083 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_binary ("<<", yyvsp[-2].comp, yyvsp[0].comp); }
    break;
case 176:
#line 1087 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_binary (">>", yyvsp[-2].comp, yyvsp[0].comp); }
    break;
case 177:
#line 1091 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_binary ("==", yyvsp[-2].comp, yyvsp[0].comp); }
    break;
case 178:
#line 1095 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_binary ("!=", yyvsp[-2].comp, yyvsp[0].comp); }
    break;
case 179:
#line 1099 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_binary ("<=", yyvsp[-2].comp, yyvsp[0].comp); }
    break;
case 180:
#line 1103 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_binary (">=", yyvsp[-2].comp, yyvsp[0].comp); }
    break;
case 181:
#line 1107 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_binary ("<", yyvsp[-2].comp, yyvsp[0].comp); }
    break;
case 182:
#line 1111 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_binary ("&", yyvsp[-2].comp, yyvsp[0].comp); }
    break;
case 183:
#line 1115 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_binary ("^", yyvsp[-2].comp, yyvsp[0].comp); }
    break;
case 184:
#line 1119 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_binary ("|", yyvsp[-2].comp, yyvsp[0].comp); }
    break;
case 185:
#line 1123 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_binary ("&&", yyvsp[-2].comp, yyvsp[0].comp); }
    break;
case 186:
#line 1127 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_binary ("||", yyvsp[-2].comp, yyvsp[0].comp); }
    break;
case 187:
#line 1132 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_binary ("->", yyvsp[-2].comp, yyvsp[0].comp); }
    break;
case 188:
#line 1136 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_binary (".", yyvsp[-2].comp, yyvsp[0].comp); }
    break;
case 189:
#line 1140 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = fill_comp (DEMANGLE_COMPONENT_TRINARY, make_operator ("?", 3),
				    fill_comp (DEMANGLE_COMPONENT_TRINARY_ARG1, yyvsp[-4].comp,
						 fill_comp (DEMANGLE_COMPONENT_TRINARY_ARG2, yyvsp[-2].comp, yyvsp[0].comp)));
		}
    break;
case 192:
#line 1154 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ yyval.comp = d_unary ("sizeof", yyvsp[-1].comp); }
    break;
case 193:
#line 1159 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ struct demangle_component *i;
		  i = make_name ("1", 1);
		  yyval.comp = fill_comp (DEMANGLE_COMPONENT_LITERAL,
				    make_builtin_type ("bool"),
				    i);
		}
    break;
case 194:
#line 1168 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"
{ struct demangle_component *i;
		  i = make_name ("0", 1);
		  yyval.comp = fill_comp (DEMANGLE_COMPONENT_LITERAL,
				    make_builtin_type ("bool"),
				    i);
		}
    break;
}

#line 705 "/volume/hab/Linux/Ubuntu-12.04/x86_64/bison/1.35/share/bison/bison.simple"


  yyvsp -= yylen;
  yyssp -= yylen;
#if YYLSP_NEEDED
  yylsp -= yylen;
#endif

#if YYDEBUG
  if (yydebug)
    {
      short *yyssp1 = yyss - 1;
      YYFPRINTF (stderr, "state stack now");
      while (yyssp1 != yyssp)
	YYFPRINTF (stderr, " %d", *++yyssp1);
      YYFPRINTF (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;
#if YYLSP_NEEDED
  *++yylsp = yyloc;
#endif

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;

#ifdef YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  YYSIZE_T yysize = 0;
	  char *yymsg;
	  int yyx, yycount;

	  yycount = 0;
	  /* Start YYX at -YYN if negative to avoid negative indexes in
	     YYCHECK.  */
	  for (yyx = yyn < 0 ? -yyn : 0;
	       yyx < (int) (sizeof (yytname) / sizeof (char *)); yyx++)
	    if (yycheck[yyx + yyn] == yyx)
	      yysize += yystrlen (yytname[yyx]) + 15, yycount++;
	  yysize += yystrlen ("parse error, unexpected ") + 1;
	  yysize += yystrlen (yytname[YYTRANSLATE (yychar)]);
	  yymsg = (char *) YYSTACK_ALLOC (yysize);
	  if (yymsg != 0)
	    {
	      char *yyp = yystpcpy (yymsg, "parse error, unexpected ");
	      yyp = yystpcpy (yyp, yytname[YYTRANSLATE (yychar)]);

	      if (yycount < 5)
		{
		  yycount = 0;
		  for (yyx = yyn < 0 ? -yyn : 0;
		       yyx < (int) (sizeof (yytname) / sizeof (char *));
		       yyx++)
		    if (yycheck[yyx + yyn] == yyx)
		      {
			const char *yyq = ! yycount ? ", expecting " : " or ";
			yyp = yystpcpy (yyp, yyq);
			yyp = yystpcpy (yyp, yytname[yyx]);
			yycount++;
		      }
		}
	      yyerror (yymsg);
	      YYSTACK_FREE (yymsg);
	    }
	  else
	    yyerror ("parse error; also virtual memory exhausted");
	}
      else
#endif /* defined (YYERROR_VERBOSE) */
	yyerror ("parse error");
    }
  goto yyerrlab1;


/*--------------------------------------------------.
| yyerrlab1 -- error raised explicitly by an action |
`--------------------------------------------------*/
yyerrlab1:
  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      /* return failure if at end of input */
      if (yychar == YYEOF)
	YYABORT;
      YYDPRINTF ((stderr, "Discarding token %d (%s).\n",
		  yychar, yytname[yychar1]));
      yychar = YYEMPTY;
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */

  yyerrstatus = 3;		/* Each real token shifted decrements this */

  goto yyerrhandle;


/*-------------------------------------------------------------------.
| yyerrdefault -- current state does not do anything special for the |
| error token.                                                       |
`-------------------------------------------------------------------*/
yyerrdefault:
#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */

  /* If its default is to accept any token, ok.  Otherwise pop it.  */
  yyn = yydefact[yystate];
  if (yyn)
    goto yydefault;
#endif


/*---------------------------------------------------------------.
| yyerrpop -- pop the current state because it cannot handle the |
| error token                                                    |
`---------------------------------------------------------------*/
yyerrpop:
  if (yyssp == yyss)
    YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#if YYLSP_NEEDED
  yylsp--;
#endif

#if YYDEBUG
  if (yydebug)
    {
      short *yyssp1 = yyss - 1;
      YYFPRINTF (stderr, "Error: state stack now");
      while (yyssp1 != yyssp)
	YYFPRINTF (stderr, " %d", *++yyssp1);
      YYFPRINTF (stderr, "\n");
    }
#endif

/*--------------.
| yyerrhandle.  |
`--------------*/
yyerrhandle:
  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yyerrdefault;

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    goto yyerrdefault;

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrpop;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrpop;

  if (yyn == YYFINAL)
    YYACCEPT;

  YYDPRINTF ((stderr, "Shifting error token, "));

  *++yyvsp = yylval;
#if YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

/*---------------------------------------------.
| yyoverflowab -- parser overflow comes here.  |
`---------------------------------------------*/
yyoverflowlab:
  yyerror ("parser stack overflow");
  yyresult = 2;
  /* Fall through.  */

yyreturn:
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  return yyresult;
}
#line 1178 "../../../../../../../src/gpl-dist/gdb/gdb/cp-name-parser.y"


/* Apply QUALIFIERS to LHS and return a qualified component.  IS_METHOD
   is set if LHS is a method, in which case the qualifiers are logically
   applied to "this".  We apply qualifiers in a consistent order; LHS
   may already be qualified; duplicate qualifiers are not created.  */

struct demangle_component *
d_qualify (struct demangle_component *lhs, int qualifiers, int is_method)
{
  struct demangle_component **inner_p;
  enum demangle_component_type type;

  /* For now the order is CONST (innermost), VOLATILE, RESTRICT.  */

#define HANDLE_QUAL(TYPE, MTYPE, QUAL)				\
  if ((qualifiers & QUAL) && (type != TYPE) && (type != MTYPE))	\
    {								\
      *inner_p = fill_comp (is_method ? MTYPE : TYPE,	\
			      *inner_p, NULL);			\
      inner_p = &d_left (*inner_p);				\
      type = (*inner_p)->type;					\
    }								\
  else if (type == TYPE || type == MTYPE)			\
    {								\
      inner_p = &d_left (*inner_p);				\
      type = (*inner_p)->type;					\
    }

  inner_p = &lhs;

  type = (*inner_p)->type;

  HANDLE_QUAL (DEMANGLE_COMPONENT_RESTRICT, DEMANGLE_COMPONENT_RESTRICT_THIS, QUAL_RESTRICT);
  HANDLE_QUAL (DEMANGLE_COMPONENT_VOLATILE, DEMANGLE_COMPONENT_VOLATILE_THIS, QUAL_VOLATILE);
  HANDLE_QUAL (DEMANGLE_COMPONENT_CONST, DEMANGLE_COMPONENT_CONST_THIS, QUAL_CONST);

  return lhs;
}

/* Return a builtin type corresponding to FLAGS.  */

static struct demangle_component *
d_int_type (int flags)
{
  const char *name;

  switch (flags)
    {
    case INT_SIGNED | INT_CHAR:
      name = "signed char";
      break;
    case INT_CHAR:
      name = "char";
      break;
    case INT_UNSIGNED | INT_CHAR:
      name = "unsigned char";
      break;
    case 0:
    case INT_SIGNED:
      name = "int";
      break;
    case INT_UNSIGNED:
      name = "unsigned int";
      break;
    case INT_LONG:
    case INT_SIGNED | INT_LONG:
      name = "long";
      break;
    case INT_UNSIGNED | INT_LONG:
      name = "unsigned long";
      break;
    case INT_SHORT:
    case INT_SIGNED | INT_SHORT:
      name = "short";
      break;
    case INT_UNSIGNED | INT_SHORT:
      name = "unsigned short";
      break;
    case INT_LLONG | INT_LONG:
    case INT_SIGNED | INT_LLONG | INT_LONG:
      name = "long long";
      break;
    case INT_UNSIGNED | INT_LLONG | INT_LONG:
      name = "unsigned long long";
      break;
    default:
      return NULL;
    }

  return make_builtin_type (name);
}

/* Wrapper to create a unary operation.  */

static struct demangle_component *
d_unary (const char *name, struct demangle_component *lhs)
{
  return fill_comp (DEMANGLE_COMPONENT_UNARY, make_operator (name, 1), lhs);
}

/* Wrapper to create a binary operation.  */

static struct demangle_component *
d_binary (const char *name, struct demangle_component *lhs, struct demangle_component *rhs)
{
  return fill_comp (DEMANGLE_COMPONENT_BINARY, make_operator (name, 2),
		      fill_comp (DEMANGLE_COMPONENT_BINARY_ARGS, lhs, rhs));
}

/* Find the end of a symbol name starting at LEXPTR.  */

static const char *
symbol_end (const char *lexptr)
{
  const char *p = lexptr;

  while (*p && (ISALNUM (*p) || *p == '_' || *p == '$' || *p == '.'))
    p++;

  return p;
}

/* Take care of parsing a number (anything that starts with a digit).
   The number starts at P and contains LEN characters.  Store the result in
   YYLVAL.  */

static int
parse_number (const char *p, int len, int parsed_float)
{
  int unsigned_p = 0;

  /* Number of "L" suffixes encountered.  */
  int long_p = 0;

  struct demangle_component *signed_type;
  struct demangle_component *unsigned_type;
  struct demangle_component *type, *name;
  enum demangle_component_type literal_type;

  if (p[0] == '-')
    {
      literal_type = DEMANGLE_COMPONENT_LITERAL_NEG;
      p++;
      len--;
    }
  else
    literal_type = DEMANGLE_COMPONENT_LITERAL;

  if (parsed_float)
    {
      /* It's a float since it contains a point or an exponent.  */
      char c;

      /* The GDB lexer checks the result of scanf at this point.  Not doing
         this leaves our error checking slightly weaker but only for invalid
         data.  */

      /* See if it has `f' or `l' suffix (float or long double).  */

      c = TOLOWER (p[len - 1]);

      if (c == 'f')
      	{
      	  len--;
      	  type = make_builtin_type ("float");
      	}
      else if (c == 'l')
	{
	  len--;
	  type = make_builtin_type ("long double");
	}
      else if (ISDIGIT (c) || c == '.')
	type = make_builtin_type ("double");
      else
	return ERROR;

      name = make_name (p, len);
      yylval.comp = fill_comp (literal_type, type, name);

      return FLOAT;
    }

  /* This treats 0x1 and 1 as different literals.  We also do not
     automatically generate unsigned types.  */

  long_p = 0;
  unsigned_p = 0;
  while (len > 0)
    {
      if (p[len - 1] == 'l' || p[len - 1] == 'L')
	{
	  len--;
	  long_p++;
	  continue;
	}
      if (p[len - 1] == 'u' || p[len - 1] == 'U')
	{
	  len--;
	  unsigned_p++;
	  continue;
	}
      break;
    }

  if (long_p == 0)
    {
      unsigned_type = make_builtin_type ("unsigned int");
      signed_type = make_builtin_type ("int");
    }
  else if (long_p == 1)
    {
      unsigned_type = make_builtin_type ("unsigned long");
      signed_type = make_builtin_type ("long");
    }
  else
    {
      unsigned_type = make_builtin_type ("unsigned long long");
      signed_type = make_builtin_type ("long long");
    }

   if (unsigned_p)
     type = unsigned_type;
   else
     type = signed_type;

   name = make_name (p, len);
   yylval.comp = fill_comp (literal_type, type, name);

   return INT;
}

static char backslashable[] = "abefnrtv";
static char represented[] = "\a\b\e\f\n\r\t\v";

/* Translate the backslash the way we would in the host character set.  */
static int
c_parse_backslash (int host_char, int *target_char)
{
  const char *ix;
  ix = strchr (backslashable, host_char);
  if (! ix)
    return 0;
  else
    *target_char = represented[ix - backslashable];
  return 1;
}

/* Parse a C escape sequence.  STRING_PTR points to a variable
   containing a pointer to the string to parse.  That pointer
   should point to the character after the \.  That pointer
   is updated past the characters we use.  The value of the
   escape sequence is returned.

   A negative value means the sequence \ newline was seen,
   which is supposed to be equivalent to nothing at all.

   If \ is followed by a null character, we return a negative
   value and leave the string pointer pointing at the null character.

   If \ is followed by 000, we return 0 and leave the string pointer
   after the zeros.  A value of 0 does not mean end of string.  */

static int
parse_escape (const char **string_ptr)
{
  int target_char;
  int c = *(*string_ptr)++;
  if (c_parse_backslash (c, &target_char))
    return target_char;
  else
    switch (c)
      {
      case '\n':
	return -2;
      case 0:
	(*string_ptr)--;
	return 0;
      case '^':
	{
	  c = *(*string_ptr)++;

	  if (c == '?')
	    return 0177;
	  else if (c == '\\')
	    target_char = parse_escape (string_ptr);
	  else
	    target_char = c;

	  /* Now target_char is something like `c', and we want to find
	     its control-character equivalent.  */
	  target_char = target_char & 037;

	  return target_char;
	}

      case '0':
      case '1':
      case '2':
      case '3':
      case '4':
      case '5':
      case '6':
      case '7':
	{
	  int i = c - '0';
	  int count = 0;
	  while (++count < 3)
	    {
	      c = (**string_ptr);
	      if (c >= '0' && c <= '7')
		{
		  (*string_ptr)++;
		  i *= 8;
		  i += c - '0';
		}
	      else
		{
		  break;
		}
	    }
	  return i;
	}
      default:
	return c;
      }
}

#define HANDLE_SPECIAL(string, comp)				\
  if (strncmp (tokstart, string, sizeof (string) - 1) == 0)	\
    {								\
      lexptr = tokstart + sizeof (string) - 1;			\
      yylval.lval = comp;					\
      return DEMANGLER_SPECIAL;					\
    }

#define HANDLE_TOKEN2(string, token)			\
  if (lexptr[1] == string[1])				\
    {							\
      lexptr += 2;					\
      yylval.opname = string;				\
      return token;					\
    }      

#define HANDLE_TOKEN3(string, token)			\
  if (lexptr[1] == string[1] && lexptr[2] == string[2])	\
    {							\
      lexptr += 3;					\
      yylval.opname = string;				\
      return token;					\
    }      

/* Read one token, getting characters through LEXPTR.  */

static int
yylex (void)
{
  int c;
  int namelen;
  const char *tokstart, *tokptr;

 retry:
  prev_lexptr = lexptr;
  tokstart = lexptr;

  switch (c = *tokstart)
    {
    case 0:
      return 0;

    case ' ':
    case '\t':
    case '\n':
      lexptr++;
      goto retry;

    case '\'':
      /* We either have a character constant ('0' or '\177' for example)
	 or we have a quoted symbol reference ('foo(int,int)' in C++
	 for example). */
      lexptr++;
      c = *lexptr++;
      if (c == '\\')
	c = parse_escape (&lexptr);
      else if (c == '\'')
	{
	  yyerror ("empty character constant");
	  return ERROR;
	}

      c = *lexptr++;
      if (c != '\'')
	{
	  yyerror ("invalid character constant");
	  return ERROR;
	}

      /* FIXME: We should refer to a canonical form of the character,
	 presumably the same one that appears in manglings - the decimal
	 representation.  But if that isn't in our input then we have to
	 allocate memory for it somewhere.  */
      yylval.comp = fill_comp (DEMANGLE_COMPONENT_LITERAL,
				 make_builtin_type ("char"),
				 make_name (tokstart, lexptr - tokstart));

      return INT;

    case '(':
      if (strncmp (tokstart, "(anonymous namespace)", 21) == 0)
	{
	  lexptr += 21;
	  yylval.comp = make_name ("(anonymous namespace)",
				     sizeof "(anonymous namespace)" - 1);
	  return NAME;
	}
	/* FALL THROUGH */

    case ')':
    case ',':
      lexptr++;
      return c;

    case '.':
      if (lexptr[1] == '.' && lexptr[2] == '.')
	{
	  lexptr += 3;
	  return ELLIPSIS;
	}

      /* Might be a floating point number.  */
      if (lexptr[1] < '0' || lexptr[1] > '9')
	goto symbol;		/* Nope, must be a symbol. */

      goto try_number;

    case '-':
      HANDLE_TOKEN2 ("-=", ASSIGN_MODIFY);
      HANDLE_TOKEN2 ("--", DECREMENT);
      HANDLE_TOKEN2 ("->", ARROW);

      /* For construction vtables.  This is kind of hokey.  */
      if (strncmp (tokstart, "-in-", 4) == 0)
	{
	  lexptr += 4;
	  return CONSTRUCTION_IN;
	}

      if (lexptr[1] < '0' || lexptr[1] > '9')
	{
	  lexptr++;
	  return '-';
	}
      /* FALL THRU into number case.  */

    try_number:
    case '0':
    case '1':
    case '2':
    case '3':
    case '4':
    case '5':
    case '6':
    case '7':
    case '8':
    case '9':
      {
	/* It's a number.  */
	int got_dot = 0, got_e = 0, toktype;
	const char *p = tokstart;
	int hex = 0;

	if (c == '-')
	  p++;

	if (c == '0' && (p[1] == 'x' || p[1] == 'X'))
	  {
	    p += 2;
	    hex = 1;
	  }
	else if (c == '0' && (p[1]=='t' || p[1]=='T' || p[1]=='d' || p[1]=='D'))
	  {
	    p += 2;
	    hex = 0;
	  }

	for (;; ++p)
	  {
	    /* This test includes !hex because 'e' is a valid hex digit
	       and thus does not indicate a floating point number when
	       the radix is hex.  */
	    if (!hex && !got_e && (*p == 'e' || *p == 'E'))
	      got_dot = got_e = 1;
	    /* This test does not include !hex, because a '.' always indicates
	       a decimal floating point number regardless of the radix.

	       NOTE drow/2005-03-09: This comment is not accurate in C99;
	       however, it's not clear that all the floating point support
	       in this file is doing any good here.  */
	    else if (!got_dot && *p == '.')
	      got_dot = 1;
	    else if (got_e && (p[-1] == 'e' || p[-1] == 'E')
		     && (*p == '-' || *p == '+'))
	      /* This is the sign of the exponent, not the end of the
		 number.  */
	      continue;
	    /* We will take any letters or digits.  parse_number will
	       complain if past the radix, or if L or U are not final.  */
	    else if (! ISALNUM (*p))
	      break;
	  }
	toktype = parse_number (tokstart, p - tokstart, got_dot|got_e);
        if (toktype == ERROR)
	  {
	    char *err_copy = (char *) alloca (p - tokstart + 1);

	    memcpy (err_copy, tokstart, p - tokstart);
	    err_copy[p - tokstart] = 0;
	    yyerror ("invalid number");
	    return ERROR;
	  }
	lexptr = p;
	return toktype;
      }

    case '+':
      HANDLE_TOKEN2 ("+=", ASSIGN_MODIFY);
      HANDLE_TOKEN2 ("++", INCREMENT);
      lexptr++;
      return c;
    case '*':
      HANDLE_TOKEN2 ("*=", ASSIGN_MODIFY);
      lexptr++;
      return c;
    case '/':
      HANDLE_TOKEN2 ("/=", ASSIGN_MODIFY);
      lexptr++;
      return c;
    case '%':
      HANDLE_TOKEN2 ("%=", ASSIGN_MODIFY);
      lexptr++;
      return c;
    case '|':
      HANDLE_TOKEN2 ("|=", ASSIGN_MODIFY);
      HANDLE_TOKEN2 ("||", OROR);
      lexptr++;
      return c;
    case '&':
      HANDLE_TOKEN2 ("&=", ASSIGN_MODIFY);
      HANDLE_TOKEN2 ("&&", ANDAND);
      lexptr++;
      return c;
    case '^':
      HANDLE_TOKEN2 ("^=", ASSIGN_MODIFY);
      lexptr++;
      return c;
    case '!':
      HANDLE_TOKEN2 ("!=", NOTEQUAL);
      lexptr++;
      return c;
    case '<':
      HANDLE_TOKEN3 ("<<=", ASSIGN_MODIFY);
      HANDLE_TOKEN2 ("<=", LEQ);
      HANDLE_TOKEN2 ("<<", LSH);
      lexptr++;
      return c;
    case '>':
      HANDLE_TOKEN3 (">>=", ASSIGN_MODIFY);
      HANDLE_TOKEN2 (">=", GEQ);
      HANDLE_TOKEN2 (">>", RSH);
      lexptr++;
      return c;
    case '=':
      HANDLE_TOKEN2 ("==", EQUAL);
      lexptr++;
      return c;
    case ':':
      HANDLE_TOKEN2 ("::", COLONCOLON);
      lexptr++;
      return c;

    case '[':
    case ']':
    case '?':
    case '@':
    case '~':
    case '{':
    case '}':
    symbol:
      lexptr++;
      return c;

    case '"':
      /* These can't occur in C++ names.  */
      yyerror ("unexpected string literal");
      return ERROR;
    }

  if (!(c == '_' || c == '$' || ISALPHA (c)))
    {
      /* We must have come across a bad character (e.g. ';').  */
      yyerror ("invalid character");
      return ERROR;
    }

  /* It's a name.  See how long it is.  */
  namelen = 0;
  do
    c = tokstart[++namelen];
  while (ISALNUM (c) || c == '_' || c == '$');

  lexptr += namelen;

  /* Catch specific keywords.  Notice that some of the keywords contain
     spaces, and are sorted by the length of the first word.  They must
     all include a trailing space in the string comparison.  */
  switch (namelen)
    {
    case 16:
      if (strncmp (tokstart, "reinterpret_cast", 16) == 0)
        return REINTERPRET_CAST;
      break;
    case 12:
      if (strncmp (tokstart, "construction vtable for ", 24) == 0)
	{
	  lexptr = tokstart + 24;
	  return CONSTRUCTION_VTABLE;
	}
      if (strncmp (tokstart, "dynamic_cast", 12) == 0)
        return DYNAMIC_CAST;
      break;
    case 11:
      if (strncmp (tokstart, "static_cast", 11) == 0)
        return STATIC_CAST;
      break;
    case 9:
      HANDLE_SPECIAL ("covariant return thunk to ", DEMANGLE_COMPONENT_COVARIANT_THUNK);
      HANDLE_SPECIAL ("reference temporary for ", DEMANGLE_COMPONENT_REFTEMP);
      break;
    case 8:
      HANDLE_SPECIAL ("typeinfo for ", DEMANGLE_COMPONENT_TYPEINFO);
      HANDLE_SPECIAL ("typeinfo fn for ", DEMANGLE_COMPONENT_TYPEINFO_FN);
      HANDLE_SPECIAL ("typeinfo name for ", DEMANGLE_COMPONENT_TYPEINFO_NAME);
      if (strncmp (tokstart, "operator", 8) == 0)
	return OPERATOR;
      if (strncmp (tokstart, "restrict", 8) == 0)
	return RESTRICT;
      if (strncmp (tokstart, "unsigned", 8) == 0)
	return UNSIGNED;
      if (strncmp (tokstart, "template", 8) == 0)
	return TEMPLATE;
      if (strncmp (tokstart, "volatile", 8) == 0)
	return VOLATILE_KEYWORD;
      break;
    case 7:
      HANDLE_SPECIAL ("virtual thunk to ", DEMANGLE_COMPONENT_VIRTUAL_THUNK);
      if (strncmp (tokstart, "wchar_t", 7) == 0)
	return WCHAR_T;
      break;
    case 6:
      if (strncmp (tokstart, "global constructors keyed to ", 29) == 0)
	{
	  const char *p;
	  lexptr = tokstart + 29;
	  yylval.typed_val_int.val = GLOBAL_CONSTRUCTORS;
	  /* Find the end of the symbol.  */
	  p = symbol_end (lexptr);
	  yylval.typed_val_int.type = make_name (lexptr, p - lexptr);
	  lexptr = p;
	  return GLOBAL;
	}
      if (strncmp (tokstart, "global destructors keyed to ", 28) == 0)
	{
	  const char *p;
	  lexptr = tokstart + 28;
	  yylval.typed_val_int.val = GLOBAL_DESTRUCTORS;
	  /* Find the end of the symbol.  */
	  p = symbol_end (lexptr);
	  yylval.typed_val_int.type = make_name (lexptr, p - lexptr);
	  lexptr = p;
	  return GLOBAL;
	}

      HANDLE_SPECIAL ("vtable for ", DEMANGLE_COMPONENT_VTABLE);
      if (strncmp (tokstart, "delete", 6) == 0)
	return DELETE;
      if (strncmp (tokstart, "struct", 6) == 0)
	return STRUCT;
      if (strncmp (tokstart, "signed", 6) == 0)
	return SIGNED_KEYWORD;
      if (strncmp (tokstart, "sizeof", 6) == 0)
	return SIZEOF;
      if (strncmp (tokstart, "double", 6) == 0)
	return DOUBLE_KEYWORD;
      break;
    case 5:
      HANDLE_SPECIAL ("guard variable for ", DEMANGLE_COMPONENT_GUARD);
      if (strncmp (tokstart, "false", 5) == 0)
	return FALSEKEYWORD;
      if (strncmp (tokstart, "class", 5) == 0)
	return CLASS;
      if (strncmp (tokstart, "union", 5) == 0)
	return UNION;
      if (strncmp (tokstart, "float", 5) == 0)
	return FLOAT_KEYWORD;
      if (strncmp (tokstart, "short", 5) == 0)
	return SHORT;
      if (strncmp (tokstart, "const", 5) == 0)
	return CONST_KEYWORD;
      break;
    case 4:
      if (strncmp (tokstart, "void", 4) == 0)
	return VOID;
      if (strncmp (tokstart, "bool", 4) == 0)
	return BOOL;
      if (strncmp (tokstart, "char", 4) == 0)
	return CHAR;
      if (strncmp (tokstart, "enum", 4) == 0)
	return ENUM;
      if (strncmp (tokstart, "long", 4) == 0)
	return LONG;
      if (strncmp (tokstart, "true", 4) == 0)
	return TRUEKEYWORD;
      break;
    case 3:
      HANDLE_SPECIAL ("VTT for ", DEMANGLE_COMPONENT_VTT);
      HANDLE_SPECIAL ("non-virtual thunk to ", DEMANGLE_COMPONENT_THUNK);
      if (strncmp (tokstart, "new", 3) == 0)
	return NEW;
      if (strncmp (tokstart, "int", 3) == 0)
	return INT_KEYWORD;
      break;
    default:
      break;
    }

  yylval.comp = make_name (tokstart, namelen);
  return NAME;
}

static void
yyerror (char *msg)
{
  if (global_errmsg)
    return;

  error_lexptr = prev_lexptr;
  global_errmsg = msg ? msg : "parse error";
}

/* Allocate all the components we'll need to build a tree.  We generally
   allocate too many components, but the extra memory usage doesn't hurt
   because the trees are temporary.  If we start keeping the trees for
   a longer lifetime we'll need to be cleverer.  */
static struct demangle_info *
allocate_info (int comps)
{
  struct demangle_info *ret;

  ret = malloc (sizeof (struct demangle_info)
		+ sizeof (struct demangle_component) * (comps - 1));
  ret->used = 0;
  return ret;
}

/* Convert RESULT to a string.  The return value is allocated
   using xmalloc.  ESTIMATED_LEN is used only as a guide to the
   length of the result.  This functions handles a few cases that
   cplus_demangle_print does not, specifically the global destructor
   and constructor labels.  */

char *
cp_comp_to_string (struct demangle_component *result, int estimated_len)
{
  char *str, *prefix = NULL, *buf;
  size_t err = 0;

  if (result->type == GLOBAL_DESTRUCTORS)
    {
      result = d_left (result);
      prefix = "global destructors keyed to ";
    }
  else if (result->type == GLOBAL_CONSTRUCTORS)
    {
      result = d_left (result);
      prefix = "global constructors keyed to ";
    }

  str = cplus_demangle_print (DMGL_PARAMS | DMGL_ANSI, result, estimated_len, &err);
  if (str == NULL)
    return NULL;

  if (prefix == NULL)
    return str;

  buf = malloc (strlen (str) + strlen (prefix) + 1);
  strcpy (buf, prefix);
  strcat (buf, str);
  free (str);
  return (buf);
}

/* Convert a demangled name to a demangle_component tree.  *MEMORY is set to the
   block of used memory that should be freed when finished with the
   tree.  On error, NULL is returned, and an error message will be
   set in *ERRMSG (which does not need to be freed).  */

struct demangle_component *
cp_demangled_name_to_comp (const char *demangled_name, void **memory,
			   const char **errmsg)
{
  static char errbuf[60];
  struct demangle_component *result;

  int len = strlen (demangled_name);

  len = len + len / 8;
  prev_lexptr = lexptr = demangled_name;
  error_lexptr = NULL;
  global_errmsg = NULL;

  demangle_info = allocate_info (len);

  if (yyparse ())
    {
      if (global_errmsg && errmsg)
	{
	  snprintf (errbuf, sizeof (errbuf) - 2, "%s, near `%s",
		    global_errmsg, error_lexptr);
	  strcat (errbuf, "'");
	  *errmsg = errbuf;
	}
      free (demangle_info);
      return NULL;
    }

  *memory = demangle_info;
  result = global_result;
  global_result = NULL;

  return result;
}

#ifdef TEST_CPNAMES

static void
cp_print (struct demangle_component *result)
{
  char *str;
  size_t err = 0;

  if (result->type == GLOBAL_DESTRUCTORS)
    {
      result = d_left (result);
      fputs ("global destructors keyed to ", stdout);
    }
  else if (result->type == GLOBAL_CONSTRUCTORS)
    {
      result = d_left (result);
      fputs ("global constructors keyed to ", stdout);
    }

  str = cplus_demangle_print (DMGL_PARAMS | DMGL_ANSI, result, 64, &err);
  if (str == NULL)
    return;

  fputs (str, stdout);

  free (str);
}

static char
trim_chars (char *lexptr, char **extra_chars)
{
  char *p = (char *) symbol_end (lexptr);
  char c = 0;

  if (*p)
    {
      c = *p;
      *p = 0;
      *extra_chars = p + 1;
    }

  return c;
}

int
main (int argc, char **argv)
{
  char *str2, *extra_chars, c;
  char buf[65536];
  int arg;
  const char *errmsg;
  void *memory;
  struct demangle_component *result;

  arg = 1;
  if (argv[arg] && strcmp (argv[arg], "--debug") == 0)
    {
      yydebug = 1;
      arg++;
    }

  if (argv[arg] == NULL)
    while (fgets (buf, 65536, stdin) != NULL)
      {
	int len;
	buf[strlen (buf) - 1] = 0;
	/* Use DMGL_VERBOSE to get expanded standard substitutions.  */
	c = trim_chars (buf, &extra_chars);
	str2 = cplus_demangle (buf, DMGL_PARAMS | DMGL_ANSI | DMGL_VERBOSE);
	if (str2 == NULL)
	  {
	    /* printf ("Demangling error\n"); */
	    if (c)
	      printf ("%s%c%s\n", buf, c, extra_chars);
	    else
	      printf ("%s\n", buf);
	    continue;
	  }
	result = cp_demangled_name_to_comp (str2, &memory, &errmsg);
	if (result == NULL)
	  {
	    fputs (errmsg, stderr);
	    fputc ('\n', stderr);
	    continue;
	  }

	cp_print (result);
	free (memory);

	free (str2);
	if (c)
	  {
	    putchar (c);
	    fputs (extra_chars, stdout);
	  }
	putchar ('\n');
      }
  else
    {
      result = cp_demangled_name_to_comp (argv[arg], &memory, &errmsg);
      if (result == NULL)
	{
	  fputs (errmsg, stderr);
	  fputc ('\n', stderr);
	  return 0;
	}
      cp_print (result);
      putchar ('\n');
      free (memory);
    }
  return 0;
}

#endif
