/* Common target dependent code for GDB on MIPS systems running FreeBSD/JunOS

   Copyright (C) 2002, 2004, 2007 Free Software Foundation, Inc.

   Portions cloned from mipsnbsd-tdep.h by fnf@specifix.com.

   This file is part of GDB.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.  */

#ifndef MIPSFBSD_TDEP_H
#define MIPSFBSD_TDEP_H

void mipsfbsd_supply_reg (char *, int);
void mipsfbsd_fill_reg (char *, int);

void mipsfbsd_supply_fpreg (char *, int);
void mipsfbsd_fill_fpreg (char *, int);

#define SIZEOF_STRUCT_REG	(40 * mips_isa_regsize (current_gdbarch))
#define SIZEOF_STRUCT_FPREG	(33 * mips_isa_regsize (current_gdbarch))

#endif /* MIPSFBSD_TDEP_H */
