# $Id: Makefile.iberty.inc 579281 2013-05-01 00:22:24Z ib-builder $

CFLAGS+= -I${GDBDIR}/libiberty

# The only libiberty files needed for gdb:
_iberty_srcs= \
	libiberty/argv.c \
	libiberty/concat.c \
	libiberty/cp-demangle.c \
	libiberty/cp-demint.c \
	libiberty/cplus-dem.c \
	libiberty/floatformat.c \
	libiberty/getruntime.c \
	libiberty/hashtab.c \
	libiberty/hex.c \
	libiberty/lbasename.c \
	libiberty/objalloc.c \
	libiberty/obstack.c \
	libiberty/safe-ctype.c \
	libiberty/splay-tree.c \
	libiberty/unlink-if-ordinary.c \
	libiberty/xexit.c \
	libiberty/xstrdup.c \
	libiberty/xstrerror.c

# The other libiberty files.
_other_iberty_srcs=   \
	libiberty/alloca.c \
	libiberty/choose-temp.c \
	libiberty/dyn-string.c \
	libiberty/fdmatch.c \
	libiberty/fibheap.c \
	libiberty/fnmatch.c \
	libiberty/fopen_unlocked.c \
	libiberty/getopt.c \
	libiberty/getopt1.c \
	libiberty/getpwd.c \
	libiberty/lrealpath.c \
	libiberty/make-relative-prefix.c \
	libiberty/make-temp-file.c \
	libiberty/mempcpy.c \
	libiberty/partition.c \
	libiberty/pex-common.c \
	libiberty/pex-one.c \
	libiberty/pex-unix.c \
	libiberty/pexecute.c \
	libiberty/physmem.c \
	libiberty/regex.c \
	libiberty/sort.c \
	libiberty/spaces.c \
	libiberty/stpncpy.c \
	libiberty/strerror.c \
	libiberty/strncmp.c \
	libiberty/strndup.c \
	libiberty/strsignal.c \
	libiberty/strverscmp.c \
	libiberty/ternary.c \
	libiberty/xatexit.c \
	libiberty/xmalloc.c \
	libiberty/xmemdup.c \
	libiberty/xstrndup.c
